/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/3d widget UIM/X integration file
 *
 *  SCCSID -- @(#)Xrt3d_rtime.c	1.5    95/06/23 KL Group Inc.
 */

/******************************************************************************
				Xrt3d_rtime.c
******************************************************************************/

#include	<X11/Intrinsic.h>
#include	"utype.h"

#include	"Xm/Xrt3d.h"
#include	"Xrt3d_xtype.h"
#include	"Xrt_restable.h"

/****
 ****   The format is to call UxrDDInstall to add a new converter.
 ****
 ****   UxrDDInstall( SquareNmajorDimension, UxUT_string, UxXT_MajorDimension );
 ****   UxrDDInstall( SquareNmakeSquare, UxUT_string, UxXt_Boolean );
 ****/

static void
Xrt3d_install_converters(table, nres)
Xrt3dResourceDesc	*table;
int			nres;
{
	int n;
	
	for (n = 0; n < nres; n++) {
		if (table[n].used && table[n].type->convert_flag == 1) {
			UxDDInstall(table[n].xt_name,
						table[n].type->utype,
						table[n].type->xtype);
		}
	}
}

void
Xrt3d_rtime()
{
	Xrt3d_init_resource_table();
	Xrt3d_install_converters(xrt3d_res_table, num3d_res);
	Xrt3d_install_converters(xrt3dtext_res_table, num3dtext_res);
}
