/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: XrtGear_restb.c,v 1.7 2006/08/30 01:16:53 kosaka Exp $
 *
 *  SCCSID -- @(#)XrtGear_restb.c	1.14    99/02/01 KL Group Inc.
 */

/*****************************************************************************
				XrtGear_restb.c
*****************************************************************************/

#include <Xm/XrtGear.h>
#include <Xm/XrtGearCombo.h>
#include <UxLib.h>

#ifdef DESIGN_TIME

#include <veos.h>       		/* Visual Edge object system */
#include <valuesOf.h>   		/* ValuesOf & Validator functions */

#include <XrtGear.cl.h>

#else

#include "stub_runtime.h"

#endif /* DESIGN_TIME */

#include <XrtGear_xtype.h>
#include <Xrt_restable.h>

extern swidget UxGUIPopupColorView();
extern swidget UxGUIPopupPixView();
extern swidget UxPopupXrtTreeEd();

XrtGearResourceDesc 	xrtAlnr_res_table[] = {
{
	"xrtGearAlignerAlignment_Alnr",
	"RD_xrtGearAlignerAlignment",
	XmNxrtGearAlignerAlignment,
	"XmNxrtGearAlignerAlignment",
	XRTGEAR_ALIGNER_ALIGNMENT,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearAlignerAlignment),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtAlnrResNumAlignerAlignment,
	FALSE,
	TRUE
},
{
	"xrtGearAlignBaseline_Alnr",
	"RD_xrtGearAlignBaseline",
	XmNxrtGearAlignBaseline,
	"XmNxrtGearAlignBaseline",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearAlignBaseline),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtAlnrResNumAlignBaseline,
	FALSE,
	TRUE
},
{
	"xrtGearColumnSpacing_Alnr",
	"RD_xrtGearColumnSpacing",
	XmNxrtGearColumnSpacing,
	"XmNxrtGearColumnSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearColumnSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtAlnrResNumColumnSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearMarginHeight_Alnr",
	"RD_xrtGearMarginHeight",
	XmNxrtGearMarginHeight,
	"XmNxrtGearMarginHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearMarginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtAlnrResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"xrtGearMarginWidth_Alnr",
	"RD_xrtGearMarginWidth",
	XmNxrtGearMarginWidth,
	"XmNxrtGearMarginWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearMarginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtAlnrResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"xrtGearOrientation_Alnr",
	"RD_xrtGearOrientation",
	XmNxrtGearOrientation,
	"XmNxrtGearOrientation",
	XRTGEAR_ORIENTATION,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearOrientation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtAlnrResNumOrientation,
	FALSE,
	TRUE
},
{
	"xrtGearPosition_Alnr",
	"RD_xrtGearPosition",
	XmNxrtGearPosition,
	"XmNxrtGearPosition",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearPosition),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtAlnrResNumPosition,
	FALSE,
	TRUE
},
{
	"xrtGearResizeHeight_Alnr",
	"RD_xrtGearResizeHeight",
	XmNxrtGearResizeHeight,
	"XmNxrtGearResizeHeight",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearResizeHeight),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtAlnrResNumResizeHeight,
	FALSE,
	TRUE
},
{
	"xrtGearResizeWidth_Alnr",
	"RD_xrtGearResizeWidth",
	XmNxrtGearResizeWidth,
	"XmNxrtGearResizeWidth",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearResizeWidth),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtAlnrResNumResizeWidth,
	FALSE,
	TRUE
},
{
	"xrtGearRowSpacing_Alnr",
	"RD_xrtGearRowSpacing",
	XmNxrtGearRowSpacing,
	"XmNxrtGearRowSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtAlignerClass, XrtAligner.RD_xrtGearRowSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtAlnrResNumRowSpacing,
	FALSE,
	TRUE
}
};

XrtGearResourceDesc  	xrtGLbl_res_table[] = {
{
	"xrtGearBorderType_GLbl",
	"RD_xrtGearBorderType",
	XmNxrtGearBorderType,
	"XmNxrtGearBorderType",
	XRTGEAR_BORDER_TYPE,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearBorderType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumBorderType,
	FALSE,
	TRUE
},
{
	"xrtGearLabelPixmap_GLbl",
	"RD_xrtGearLabelPixmap",
	XmNxrtGearLabelPixmap,
	"XmNxrtGearLabelPixmap",
	XRTGEAR_PIXMAP,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearLabelPixmap),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumLabelPixmap,
	FALSE,
	TRUE
},
{
	"xrtGearLabelType_GLbl",
	"RD_xrtGearLabelType",
	XmNxrtGearLabelType,
	"XmNxrtGearLabelType",
	XRTGEAR_TYPE,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearLabelType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumLabelType,
	FALSE,
	TRUE
},
{
	"xrtGearLayoutSpacing_GLbl",
	"RD_xrtGearLayoutSpacing",
	XmNxrtGearLayoutSpacing,
	"XmNxrtGearLayoutSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearLayoutSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumLayoutSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearMask_GLbl",
	"RD_xrtGearMask",
	XmNxrtGearMask,
	"XmNxrtGearMask",
	XRTGEAR_MASK,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearMask),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumMask,
	FALSE,
	TRUE
},
{
	"xrtGearPixmapRotation_GLbl",
	"RD_xrtGearPixmapRotation",
	XmNxrtGearPixmapRotation,
	"XmNxrtGearPixmapRotation",
	XRTGEAR_ROTATION,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearPixmapRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumPixmapRotation,
	FALSE,
	TRUE
},
{
	"xrtGearStringLayout_GLbl",
	"RD_xrtGearStringLayout",
	XmNxrtGearStringLayout,
	"XmNxrtGearStringLayout",
	XRTGEAR_STRING_LAYOUT,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearStringLayout),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumStringLayout,
	FALSE,
	TRUE
},
{
	"xrtGearStringRotation_GLbl",
	"RD_xrtGearStringRotation",
	XmNxrtGearStringRotation,
	"XmNxrtGearStringRotation",
	XRTGEAR_ROTATION,
	{0, 0, 0},
	Offset(UxXrtGLabelClass, XrtGLabel.RD_xrtGearStringRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGLblResNumStringRotation,
	FALSE,
	TRUE
}
};

XrtGearResourceDesc	 	xrtPB_res_table[] = {
{
	"xrtGearArmMask_PB",
	"RD_xrtGearArmMask",
	XmNxrtGearArmMask,
	"XmNxrtGearArmMask",
	XRTGEAR_ARM_MASK,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearArmMask),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumArmMask,
	FALSE,
	TRUE
},
{
	"xrtGearArmPixmap_PB",
	"RD_xrtGearArmPixmap",
	XmNxrtGearArmPixmap,
	"XmNxrtGearArmPixmap",
	XRTGEAR_ARM_PIXMAP,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearArmPixmap),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumArmPixmap,
	FALSE,
	TRUE
},
{
	"xrtGearLabelPixmap_PB",
	"RD_xrtGearLabelPixmap",
	XmNxrtGearLabelPixmap,
	"XmNxrtGearLabelPixmap",
	XRTGEAR_PIXMAP,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearLabelPixmap),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumLabelPixmap,
	FALSE,
	TRUE
},
{
	"xrtGearLabelType_PB",
	"RD_xrtGearLabelType",
	XmNxrtGearLabelType,
	"XmNxrtGearLabelType",
	XRTGEAR_TYPE,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearLabelType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumLabelType,
	FALSE,
	TRUE
},
{
	"xrtGearLayoutSpacing_PB",
	"RD_xrtGearLayoutSpacing",
	XmNxrtGearLayoutSpacing,
	"XmNxrtGearLayoutSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearLayoutSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumLayoutSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearMask_PB",
	"RD_xrtGearMask",
	XmNxrtGearMask,
	"XmNxrtGearMask",
	XRTGEAR_MASK,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearMask),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumMask,
	FALSE,
	TRUE
},
{
	"xrtGearPixmapRotation_PB",
	"RD_xrtGearPixmapRotation",
	XmNxrtGearPixmapRotation,
	"XmNxrtGearPixmapRotation",
	XRTGEAR_ROTATION,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearPixmapRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumPixmapRotation,
	FALSE,
	TRUE
},
{
	"xrtGearStringLayout_PB",
	"RD_xrtGearStringLayout",
	XmNxrtGearStringLayout,
	"XmNxrtGearStringLayout",
	XRTGEAR_STRING_LAYOUT,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearStringLayout),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumStringLayout,
	FALSE,
	TRUE
},
{
	"xrtGearStringRotation_PB",
	"RD_xrtGearStringRotation",
	XmNxrtGearStringRotation,
	"XmNxrtGearStringRotation",
	XRTGEAR_ROTATION,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearStringRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumStringRotation,
	FALSE,
	TRUE
},
{
	"xrtGearActive_PB",
	"RD_xrtGearActive",
	XmNxrtGearActive,
	"XmNxrtGearActive",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtPushBClass, XrtPushB.RD_xrtGearActive),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPBResNumActive,
	FALSE,
	TRUE
}
};

XrtGearResourceDesc		xrtTabB_res_table[] = {
{
	"xrtGearAnchorSide_TabB",
	"RD_xrtGearAnchorSide",
	XmNxrtGearAnchorSide,
	"XmNxrtGearAnchorSide",
	XRTGEAR_ANCHOR_SIDE,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearAnchorSide),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumAnchorSide,
	FALSE,
	TRUE
},
{
	"xrtGearCornerSize_TabB",
	"RD_xrtGearCornerSize",
	XmNxrtGearCornerSize,
	"XmNxrtGearCornerSize",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearCornerSize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumCornerSize,
	FALSE,
	TRUE
},
{
	"xrtGearLabelPixmap_TabB",
	"RD_xrtGearLabelPixmap",
	XmNxrtGearLabelPixmap,
	"XmNxrtGearLabelPixmap",
	XRTGEAR_PIXMAP,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearLabelPixmap),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumLabelPixmap,
	FALSE,
	TRUE
},
{
	"xrtGearLabelType_TabB",
	"RD_xrtGearLabelType",
	XmNxrtGearLabelType,
	"XmNxrtGearLabelType",
	XRTGEAR_TYPE,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearLabelType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumLabelType,
	FALSE,
	TRUE
},
{
	"xrtGearLayoutSpacing_TabB",
	"RD_xrtGearLayoutSpacing",
	XmNxrtGearLayoutSpacing,
	"XmNxrtGearLayoutSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearLayoutSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumLayoutSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearMask_TabB",
	"RD_xrtGearMask",
	XmNxrtGearMask,
	"XmNxrtGearMask",
	XRTGEAR_MASK,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearMask),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumMask,
	FALSE,
	TRUE
},
{
	"xrtGearPixmapRotation_TabB",
	"RD_xrtGearPixmapRotation",
	XmNxrtGearPixmapRotation,
	"XmNxrtGearPixmapRotation",
	XRTGEAR_ROTATION,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearPixmapRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumPixmapRotation,
	FALSE,
	TRUE
},
{
	"xrtGearStringLayout_TabB",
	"RD_xrtGearStringLayout",
	XmNxrtGearStringLayout,
	"XmNxrtGearStringLayout",
	XRTGEAR_STRING_LAYOUT,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearStringLayout),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumStringLayout,
	FALSE,
	TRUE
},
{
	"xrtGearStringRotation_TabB",
	"RD_xrtGearStringRotation",
	XmNxrtGearStringRotation,
	"XmNxrtGearStringRotation",
	XRTGEAR_ROTATION,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearStringRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumStringRotation,
	FALSE,
	TRUE
},
{
	"xrtGearStyle_TabB",
	"RD_xrtGearStyle",
	XmNxrtGearStyle,
	"XmNxrtGearStyle",
	XRTGEAR_STYLE,
	{0, 0, 0},
	Offset(UxXrtTabBClass, XrtTabB.RD_xrtGearStyle),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabBResNumStyle,
	FALSE,
	TRUE
}
};

XrtGearResourceDesc 	xrtTabM_res_table[] = {
{
	"xrtGearActivePageNumber_TabM",
	"RD_xrtGearActivePageNumber",
	XmNxrtGearActivePageNumber,
	"XmNxrtGearActivePageNumber",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearActivePageNumber),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtTabMResNumActivePageNumber,
	FALSE,
	TRUE
},
{
	"xrtGearActivePageWidget_TabM",
	"RD_xrtGearActivePageWidget",
	XmNxrtGearActivePageWidget,
	"XmNxrtGearActivePageWidget",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearActivePageWidget),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtTabMResNumActivePageWidget,
    TRUE, /* set readonly */
	TRUE
},
{
	"xrtGearActiveTabWidget_TabM",
	"RD_xrtGearActiveTabWidget",
	XmNxrtGearActiveTabWidget,
	"XmNxrtGearActiveTabWidget",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearActiveTabWidget),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtTabMResNumActiveTabWidget,
    TRUE, /* set readonly */
	TRUE
},
{
	"xrtGearArrowDisplayPolicy_TabM",
	"RD_xrtGearArrowDisplayPolicy",
	XmNxrtGearArrowDisplayPolicy,
	"XmNxrtGearArrowDisplayPolicy",
	XRTGEAR_DISPLAY_POLICY,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearArrowDisplayPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumArrowDisplayPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearArrowHeight_TabM",
	"RD_xrtGearArrowHeight",
	XmNxrtGearArrowHeight,
	"XmNxrtGearArrowHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearArrowHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumArrowHeight,
	FALSE,
	TRUE
},
{
	"xrtGearArrowWidth_TabM",
	"RD_xrtGearArrowWidth",
	XmNxrtGearArrowWidth,
	"XmNxrtGearArrowWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearArrowWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumArrowWidth,
	FALSE,
	TRUE
},
{
	"xrtGearChildType_TabM",
	"RD_xrtGearChildType",
	XmNxrtGearChildType,
	"XmNxrtGearChildType",
	XRTGEAR_CHILD_TYPE,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearChildType),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTabMResNumChildType,
	TRUE,
	TRUE
},
{
	"xrtGearCornerSize_TabM",
	"RD_xrtGearCornerSize",
	XmNxrtGearCornerSize,
	"XmNxrtGearCornerSize",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearCornerSize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumCornerSize,
	FALSE,
	TRUE
},
{
	"xrtGearFirstVisibleTab_TabM",
	"RD_xrtGearFirstVisibleTab",
	XmNxrtGearFirstVisibleTab,
	"XmNxrtGearFirstVisibleTab",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearFirstVisibleTab),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumFirstVisibleTab,
	FALSE,
	TRUE
},
{
	"xrtGearHighlightThickness_TabM",
	"RD_xrtGearHighlightThickness",
	XmNxrtGearHighlightThickness,
	"XmNxrtGearHighlightThickness",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearHighlightThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumHighlightThickness,
	FALSE,
	TRUE
},
{
	"xrtGearLastVisibleTab_TabM",
	"RD_xrtGearLastVisibleTab",
	XmNxrtGearLastVisibleTab,
	"XmNxrtGearLastVisibleTab",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearLastVisibleTab),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumLastVisibleTab,
	FALSE,
	TRUE
},
{
	"xrtGearMarginHeight_TabM",
	"RD_xrtGearMarginHeight",
	XmNxrtGearMarginHeight,
	"XmNxrtGearMarginHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearMarginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"xrtGearMarginWidth_TabM",
	"RD_xrtGearMarginWidth",
	XmNxrtGearMarginWidth,
	"XmNxrtGearMarginWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearMarginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"xrtGearPageAttachPolicy_TabM",
	"RD_xrtGearPageAttachPolicy",
	XmNxrtGearPageAttachPolicy,
	"XmNxrtGearPageAttachPolicy",
	XRTGEAR_PAGE_ATTACH_POLICY,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearPageAttachPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumPageAttachPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearPageCallback_TabM",
	"RD_xrtGearPageCallback",
	XmNxrtGearPageCallback,
	"XmNxrtGearPageCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearPageCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTabMResNumPageCallback,
	FALSE,
	TRUE
},
{
	"xrtGearPageNumber_TabM",
	"RD_xrtGearPageNumber",
	XmNxrtGearPageNumber,
	"XmNxrtGearPageNumber",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearPageNumber),
	XRTDIV_CONSTRAINT,
	XRTPASS2,
	NULL,
	xrtTabMResNumPageNumber,
	FALSE,
	TRUE
},
{
	"xrtGearPageWidget_TabM",
	"RD_xrtGearPageWidget",
	XmNxrtGearPageWidget,
	"XmNxrtGearPageWidget",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearPageWidget),
	XRTDIV_CONSTRAINT,
	XRTPASS2,
	NULL,
	xrtTabMResNumPageWidget,
	FALSE,
	TRUE
},
{
	"xrtGearResizeCallback_TabM",
	"RD_xrtGearResizeCallback",
	XmNxrtGearResizeCallback,
	"XmNxrtGearResizeCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearResizeCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTabMResNumResizeCallback,
	FALSE,
	TRUE
},
{
	"xrtGearShadowThickness_TabM",
	"RD_xrtGearShadowThickness",
	XmNxrtGearShadowThickness,
	"XmNxrtGearShadowThickness",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearShadowThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumShadowThickness,
	FALSE,
	TRUE
},
{
	"xrtGearTabResize_TabM",
	"RD_xrtGearTabResize",
	XmNxrtGearTabResize,
	"XmNxrtGearTabResize",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearTabResize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumTabResize,
	FALSE,
	TRUE
},
{
	"xrtGearTabRotation_TabM",
	"RD_xrtGearTabRotation",
	XmNxrtGearTabRotation,
	"XmNxrtGearTabRotation",
	XRTGEAR_ROTATION,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearTabRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumTabRotation,
	FALSE,
	TRUE
},
{
	"xrtGearTabSide_TabM",
	"RD_xrtGearTabSide",
	XmNxrtGearTabSide,
	"XmNxrtGearTabSide",
	XRTGEAR_TAB_SIDE,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearTabSide),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumTabSide,
	FALSE,
	TRUE
},
{
	"xrtGearTabSpacing_TabM",
	"RD_xrtGearTabSpacing",
	XmNxrtGearTabSpacing,
	"XmNxrtGearTabSpacing",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearTabSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumTabSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearTabStretch_TabM",
	"RD_xrtGearTabStretch",
	XmNxrtGearTabStretch,
	"XmNxrtGearTabStretch",
	XRTGEAR_BOOLEAN,
	{0, 0, 0}, 
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearTabStretch),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTabMResNumTabStretch,
	FALSE,
	TRUE
},
{
	"xrtGearWidgetPosition_TabM",
	"RD_xrtGearWidgetPosition",
	XmNxrtGearWidgetPosition,
	"XmNxrtGearWidgetPosition",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtTabMClass, XrtTabM.RD_xrtGearWidgetPosition),
	XRTDIV_CONSTRAINT,
	XRTPASS2,
	NULL,
	xrtTabMResNumWidgetPosition,
	TRUE,
	TRUE
}
};

XrtGearResourceDesc 	xrtTogB_res_table[] = {
{
	"xrtGearIndicator_TogB",
	"RD_xrtGearIndicator",
	XmNxrtGearIndicator,
	"XmNxrtGearIndicator",
	XRTGEAR_INDICATOR,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearIndicator),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTogBResNumIndicator,
	FALSE,
	TRUE
},
{
	"xrtGearIndicatorMaskList_TogB",
	"RD_xrtGearIndicatorMaskList",
	XmNxrtGearIndicatorMaskList,
	"XmNxrtGearIndicatorMaskList",
	XRTGEAR_INDICATOR_MASK_LIST,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearIndicatorMaskList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTogBResNumIndicatorMaskList,
	FALSE,
	TRUE
},
{
	"xrtGearIndicatorPixmapList_TogB",
	"RD_xrtGearIndicatorPixmapList",
	XmNxrtGearIndicatorPixmapList,
	"XmNxrtGearIndicatorPixmapList",
	XRTGEAR_INDICATOR_PIXMAP_LIST,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearIndicatorPixmapList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTogBResNumIndicatorPixmapList,
	FALSE,
	TRUE
},
{
	"xrtGearNumStates_TogB",
	"RD_xrtGearNumStates",
	XmNxrtGearNumStates,
	"XmNxrtGearNumStates",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearNumStates),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTogBResNumNumStates,
	FALSE,
	TRUE
},
{
	"xrtGearSelectColor_TogB",
	"RD_xrtGearSelectColor",
	XmNxrtGearSelectColor,
	"XmNxrtGearSelectColor",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearSelectColor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTogBResNumSelectColor,
	FALSE,
	TRUE
},
{
	"xrtGearState_TogB",
	"RD_xrtGearState",
	XmNxrtGearState,
	"XmNxrtGearState",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearState),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTogBResNumState,
	FALSE,
	TRUE
},
{
	"xrtGearStateChangedCallback_TogB",
	"RD_xrtGearStateChangedCallback",
	XmNxrtGearStateChangedCallback,
	"XmNxrtGearStateChangedCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearStateChangedCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTogBResNumStateChangedCallback,
	FALSE,
	TRUE
},
{
	"xrtGearUnselectColor_TogB",
	"RD_xrtGearUnselectColor",
	XmNxrtGearUnselectColor,
	"XmNxrtGearUnselectColor",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtToggleBClass, XrtToggleB.RD_xrtGearUnselectColor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTogBResNumUnselectColor,
	FALSE,
	TRUE
}
};

XrtGearResourceDesc 	xrtTbar_res_table[] = {
{
	"xrtGearBottomSpace_Tbar",
	"RD_xrtGearBottomSpace",
	XmNxrtGearBottomSpace,
	"XmNxrtGearBottomSpace",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearBottomSpace),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTbarResNumBottomSpace,
	FALSE,
	TRUE
},
{
	"xrtGearLeftSpace_Tbar",
	"RD_xrtGearLeftSpace",
	XmNxrtGearLeftSpace,
	"XmNxrtGearLeftSpace",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearLeftSpace),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTbarResNumLeftSpace,
	FALSE,
	TRUE
},
{
	"xrtGearMarginHeight_Tbar",
	"RD_xrtGearMarginHeight",
	XmNxrtGearMarginHeight,
	"XmNxrtGearMarginHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearMarginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTbarResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"xrtGearMarginWidth_Tbar",
	"RD_xrtGearMarginWidth",
	XmNxrtGearMarginWidth,
	"XmNxrtGearMarginWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearMarginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTbarResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"xrtGearOrientation_Tbar",
	"RD_xrtGearOrientation",
	XmNxrtGearOrientation,
	"XmNxrtGearOrientation",
	XRTGEAR_ORIENTATION,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearOrientation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTbarResNumOrientation,
	FALSE,
	TRUE
},
{
	"xrtGearPosition_Tbar",
	"RD_xrtGearPosition",
	XmNxrtGearPosition,
	"XmNxrtGearPosition",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearPosition),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTbarResNumPosition,
	FALSE,
	TRUE
},
{
	"xrtGearRightSpace_Tbar",
	"RD_xrtGearRightSpace",
	XmNxrtGearRightSpace,
	"XmNxrtGearRightSpace",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearRightSpace),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTbarResNumRightSpace,
	FALSE,
	TRUE
},
{
	"xrtGearTopSpace_Tbar",
	"RD_xrtGearTopSpace",
	XmNxrtGearTopSpace,
	"XmNxrtGearTopSpace",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtToolbarClass, XrtToolbar.RD_xrtGearTopSpace),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTbarResNumTopSpace,
	FALSE,
	TRUE
}
};

/* New classes in gear 2.0 */

XrtGearResourceDesc 	xrtOutliner_res_table[] = {
{
	"fontList_Outliner",
	"RD_fontList",
	XmNfontList,
	"XmNfontList",
	XRTGEAR_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_fontList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumFontList,
	FALSE,
	TRUE
},
{
	"highlightThickness_Outliner",
	"RD_highlightThickness",
	XmNhighlightThickness,
	"XmNhighlightThickness",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_highlightThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumHighlightThickness,
	FALSE,
	TRUE
},
{
	"scrollBarPlacement_Outliner",
	"RD_scrollBarPlacement",
	XmNscrollBarPlacement,
	"XmNscrollBarPlacement",
	XRTGEAR_SCROLLBAR_PLACEMENT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_scrollBarPlacement),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumScrollBarPlacement,
	FALSE,
	TRUE
},
{
	"xrtGearActivateCallback_Outliner",
	"RD_xrtGearActivateCallback",
	XmNxrtGearActivateCallback,
	"XmNxrtGearActivateCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearActivateCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumActivateCallback,
	FALSE,
	TRUE
},
{
	"xrtGearAutoSort_Outliner",
	"RD_xrtGearAutoSort",
	XmNxrtGearAutoSort,
	"XmNxrtGearAutoSort",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearAutoSort),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumAutoSort,
	FALSE,
	TRUE
},
{
	"xrtGearBorderLocation_Outliner",
	"RD_xrtGearBorderLocation",
	XmNxrtGearBorderLocation,
	"XmNxrtGearBorderLocation",
	XRTGEAR_BORDER_LOCATION,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearBorderLocation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumBorderLocation,
	FALSE,
	TRUE
},
{
	"xrtGearBorderType_Outliner",
	"RD_xrtGearBorderType",
	XmNxrtGearBorderType,
	"XmNxrtGearBorderType",
	XRTGEAR_BORDER_TYPE,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearBorderType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumBorderType,
	FALSE,
	TRUE
},
{
	"xrtGearColumnLabelsShow_Outliner",
	"RD_xrtGearColumnLabelsShow",
	XmNxrtGearColumnLabelsShow,
	"XmNxrtGearColumnLabelsShow",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearColumnLabelsShow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumColumnLabelsShow,
	FALSE,
	TRUE
},
{
	"xrtGearColumnMoveAllow_Outliner",
	"RD_xrtGearColumnMoveAllow",
	XmNxrtGearColumnMoveAllow,
	"XmNxrtGearColumnMoveAllow",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearColumnMoveAllow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumColumnMoveAllow,
	FALSE,
	TRUE
},
{
	"xrtGearColumnMoveCallback_Outliner",
	"RD_xrtGearColumnMoveCallback",
	XmNxrtGearColumnMoveCallback,
	"XmNxrtGearColumnMoveCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearColumnMoveCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumColumnMoveCallback,
	FALSE,
	TRUE
},
{
	"xrtGearColumnSelected_Outliner",
	"RD_xrtGearColumnSelected",
	XmNxrtGearColumnSelected,
	"XmNxrtGearColumnSelected",
	XRTGEAR_COLUMN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearColumnSelected),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtOutlinerResNumColumnSelected,
	FALSE,
	TRUE
},
{
	"xrtGearColumnSelectionCallback_Outliner",
	"RD_xrtGearColumnSelectionCallback",
	XmNxrtGearColumnSelectionCallback,
	"XmNxrtGearColumnSelectionCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearColumnSelectionCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumColumnSelectionCallback,
	FALSE,
	TRUE
},
{
	"xrtGearCursor_Outliner",
	"RD_xrtGearCursor",
	XmNxrtGearCursor,
	"XmNxrtGearCursor",
	XRTGEAR_CURSOR,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearCursor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumCursor,
	FALSE,
	TRUE
},
{
	"xrtGearCursorResizeWidth_Outliner",
	"RD_xrtGearCursorResizeWidth",
	XmNxrtGearCursorResizeWidth,
	"XmNxrtGearCursorResizeWidth",
	XRTGEAR_CURSOR,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearCursorResizeWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumCursorResizeWidth,
	FALSE,
	TRUE
},
{
	"xrtGearCursorTracking_Outliner",
	"RD_xrtGearCursorTracking",
	XmNxrtGearCursorTracking,
	"XmNxrtGearCursorTracking",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearCursorTracking),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumCursorTracking,
	FALSE,
	TRUE
},
{
	"xrtGearCursorTrackingCallback_Outliner",
	"RD_xrtGearCursorTrackingCallback",
	XmNxrtGearCursorTrackingCallback,
	"XmNxrtGearCursorTrackingCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearCursorTrackingCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumCursorTrackingCallback,
	FALSE,
	TRUE
},
{
	"xrtGearDoubleBuffer_Outliner",
	"RD_xrtGearDoubleBuffer",
	XmNxrtGearDoubleBuffer,
	"XmNxrtGearDoubleBuffer",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearDoubleBuffer),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumDoubleBuffer,
	FALSE,
	TRUE
},
{
	"xrtGearFolderStateCallback_Outliner",
	"RD_xrtGearFolderStateCallback",
	XmNxrtGearFolderStateCallback,
	"XmNxrtGearFolderStateCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearFolderStateCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumFolderStateCallback,
	FALSE,
	TRUE
},
{
	"xrtGearFolderStateMask_Outliner",
	"RD_xrtGearFolderStateMask",
	XmNxrtGearFolderStateMask,
	"XmNxrtGearFolderStateMask",
	XRTGEAR_FOLDER_STATE_MASK,  /*??? not shure if correct name of this type*/
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearFolderStateMask),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumFolderStateMask,
	FALSE,
	TRUE
},
{
	"xrtGearHeightPreferredCount_Outliner",
	"RD_xrtGearHeightPreferredCount",
	XmNxrtGearHeightPreferredCount,
	"XmNxrtGearHeightPreferredCount",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearHeightPreferredCount),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumHeightPreferredCount,
	FALSE,
	TRUE
},
{
	"xrtGearHeightResizePolicy_Outliner",
	"RD_xrtGearHeightResizePolicy",
	XmNxrtGearHeightResizePolicy,
	"XmNxrtGearHeightResizePolicy",
	XRTGEAR_WIDGET_RESIZE_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearHeightResizePolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumHeightResizePolicy,
	FALSE,
	TRUE
},
{
	"xrtGearHeightSizingPolicy_Outliner",
	"RD_xrtGearHeightSizingPolicy",
	XmNxrtGearHeightSizingPolicy,
	"XmNxrtGearHeightSizingPolicy",
	XRTGEAR_SIZING_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearHeightSizingPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumHeightSizingPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearHeightVirtual_Outliner",
	"RD_xrtGearHeightVirtual",
	XmNxrtGearHeightVirtual,
	"XmNxrtGearHeightVirtual",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearHeightVirtual),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumHeightVirtual,
	TRUE,
	TRUE
},
{
	"xrtGearImportCallback_Outliner",
	"RD_xrtGearImportCallback",
	XmNxrtGearImportCallback,
	"XmNxrtGearImportCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearImportCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumImportCallback,
	FALSE,
	TRUE
},
{
	"xrtGearMarginHeight_Outliner",
	"RD_xrtGearMarginHeight",
	XmNxrtGearMarginHeight,
	"XmNxrtGearMarginHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearMarginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"xrtGearMarginWidth_Outliner",
	"RD_xrtGearMarginWidth",
	XmNxrtGearMarginWidth,
	"XmNxrtGearMarginWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearMarginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"xrtGearNodeCompareProc_Outliner",
	"RD_xrtGearNodeCompareProc",
	XmNxrtGearNodeCompareProc,
	"XmNxrtGearNodeCompareProc",
	XRTGEAR_FUNCTION, /*????*/
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeCompareProc),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeCompareProc,
	FALSE,
	TRUE
},
{
	"xrtGearNodeCreateCallback_Outliner",
	"RD_xrtGearNodeCreateCallback",
	XmNxrtGearNodeCreateCallback,
	"XmNxrtGearNodeCreateCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeCreateCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeCreateCallback,
	FALSE,
	TRUE
},
{
	"xrtGearNodeCurrent_Outliner",
	"RD_xrtGearNodeCurrent",
	XmNxrtGearNodeCurrent,
	"XmNxrtGearNodeCurrent",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeCurrent),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeCurrent,
	FALSE,
	TRUE
},
{
	"xrtGearNodeCurrentChangedCallback_Outliner",
	"RD_xrtGearNodeCurrentChangedCallback",
	XmNxrtGearNodeCurrentChangedCallback,
	"XmNxrtGearNodeCurrentChangedCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeCurrentChangedCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeCurrentChangedCallback,
	FALSE,
	TRUE
},
{
	"xrtGearNodeHeight_Outliner",
	"RD_xrtGearNodeHeight",
	XmNxrtGearNodeHeight,
	"XmNxrtGearNodeHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeHeight,
	FALSE,
	TRUE
},
{
	"xrtGearNodeImportPolicy_Outliner",
	"RD_xrtGearNodeImportPolicy",
	XmNxrtGearNodeImportPolicy,
	"XmNxrtGearNodeImportPolicy",
	XRTGEAR_IMPORT_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeImportPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeImportPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearNodeIndent_Outliner",
	"RD_xrtGearNodeIndent",
	XmNxrtGearNodeIndent,
	"XmNxrtGearNodeIndent",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeIndent),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeIndent,
	FALSE,
	TRUE
},
{
	"xrtGearNodeIndentPolicy_Outliner",
	"RD_xrtGearNodeIndentPolicy",
	XmNxrtGearNodeIndentPolicy,
	"XmNxrtGearNodeIndentPolicy",
	XRTGEAR_INDENT_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeIndentPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeIndentPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearNodeMoveCallback_Outliner",
	"RD_xrtGearNodeMoveCallback",
	XmNxrtGearNodeMoveCallback,
	"XmNxrtGearNodeMoveCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeMoveCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeMoveCallback,
	FALSE,
	TRUE
},
{
	"xrtGearNodeMovePolicy_Outliner",
	"RD_xrtGearNodeMovePolicy",
	XmNxrtGearNodeMovePolicy,
	"XmNxrtGearNodeMovePolicy",
	XRTGEAR_NODE_MOVE_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeMovePolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeMovePolicy,
	FALSE,
	TRUE
},
{
	"xrtGearNodeSpacing_Outliner",
	"RD_xrtGearNodeSpacing",
	XmNxrtGearNodeSpacing,
	"XmNxrtGearNodeSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearNodeStyleDefault_Outliner",
	"RD_xrtGearNodeStyleDefault",
	XmNxrtGearNodeStyleDefault,
	"XmNxrtGearNodeStyleDefault",
	XRTGEAR_NODE_STYLE, 
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeStyleDefault),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtOutlinerResNumNodeStyleDefault,
	FALSE,
	TRUE
},
{
	"xrtGearNodeTop_Outliner",
	"RD_xrtGearNodeTop",
	XmNxrtGearNodeTop,
	"XmNxrtGearNodeTop",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeTop),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeTop,
	FALSE,
	TRUE
},
{
	"xrtGearPSFontMapList_Outliner",
	"RD_xrtGearPSFontMapList",
	XmNxrtGearPSFontMapList,
	"XmNxrtGearPSFontMapList",
	XRTGEAR_PS_FONT_MAP_LIST,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearPSFontMapList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumPSFontMapList,
	FALSE,
	TRUE
},
{
	"xrtGearRepaint_Outliner",
	"RD_xrtGearRepaint",
	XmNxrtGearRepaint,
	"XmNxrtGearRepaint",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearRepaint),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumRepaint,
	FALSE,
	TRUE
},
{
	"xrtGearPrintCallback_Outliner",
	"RD_xrtGearPrintCallback",
	XmNxrtGearPrintCallback,
	"XmNxrtGearPrintCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearPrintCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumPrintCallback,
	FALSE,
	TRUE
},
{
	"xrtGearResizeCallback_Outliner",
	"RD_xrtGearResizeCallback",
	XmNxrtGearResizeCallback,
	"XmNxrtGearResizeCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearResizeCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumResizeCallback,
	FALSE,
	TRUE
},
{
	"xrtGearScrollBarHoriz_Outliner",
	"RD_xrtGearScrollBarHoriz",
	XmNxrtGearScrollBarHoriz,
	"XmNxrtGearScrollBarHoriz",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearScrollBarHoriz),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumScrollBarHoriz,
	FALSE,
	TRUE
},
{
	"xrtGearScrollBarHorizDisplayPolicy_Outliner",
	"RD_xrtGearScrollBarHorizDisplayPolicy",
	XmNxrtGearScrollBarHorizDisplayPolicy,
	"XmNxrtGearScrollBarHorizDisplayPolicy",
	XRTGEAR_DISPLAY_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearScrollBarHorizDisplayPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumScrollBarHorizDisplayPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearScrollBarVert_Outliner",
	"RD_xrtGearScrollBarVert",
	XmNxrtGearScrollBarVert,
	"XmNxrtGearScrollBarVert",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearScrollBarVert),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumScrollBarVert,
	FALSE,
	TRUE
},
{
	"xrtGearScrollBarVertDisplayPolicy_Outliner",
	"RD_xrtGearScrollBarVertDisplayPolicy",
	XmNxrtGearScrollBarVertDisplayPolicy,
	"XmNxrtGearScrollBarVertDisplayPolicy",
	XRTGEAR_DISPLAY_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearScrollBarVertDisplayPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumScrollBarVertDisplayPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearSelectionCallback_Outliner",
	"RD_xrtGearSelectionCallback",
	XmNxrtGearSelectionCallback,
	"XmNxrtGearSelectionCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearSelectionCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumSelectionCallback,
	FALSE,
	TRUE
},
{
	"xrtGearSelectionPolicy_Outliner",
	"RD_xrtGearSelectionPolicy",
	XmNxrtGearSelectionPolicy,
	"XmNxrtGearSelectionPolicy",
	XRTGEAR_SELECTION_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearSelectionPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumSelectionPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearSelectionRestrictions_Outliner",
	"RD_xrtGearSelectionRestrictions",
	XmNxrtGearSelectionRestrictions,
	"XmNxrtGearSelectionRestrictions",
	XRTGEAR_SELECTION_RESTRICTIONS,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearSelectionRestrictions),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumSelectionRestrictions,
	FALSE,
	TRUE
},
{
	"xrtGearShadowThickness_Outliner",
	"RD_xrtGearShadowThickness",
	XmNxrtGearShadowThickness,
	"XmNxrtGearShadowThickness",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearShadowThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumShadowThickness,
	FALSE,
	TRUE
},
{
	"xrtGearTextHorizClipPolicy_Outliner",
	"RD_xrtGearTextHorizClipPolicy",
	XmNxrtGearTextHorizClipPolicy,
	"XmNxrtGearTextHorizClipPolicy",
	XRTGEAR_TEXT_CLIP_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearTextHorizClipPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumTextHorizClipPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearTreeData_Outliner",
	"RD_xrtGearTreeData",
	XmNxrtGearTreeData,
	"XmNxrtGearTreeData",
	XRTGEAR_TREE_DATA,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearTreeData),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumTreeData,
	FALSE,
	TRUE
},
{
	"xrtGearWidthChar_Outliner",
	"RD_xrtGearWidthChar",
	XmNxrtGearWidthChar,
	"XmNxrtGearWidthChar",
	XRTGEAR_CHAR,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearWidthChar),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumWidthChar,
	FALSE,
	TRUE
},
{
	"xrtGearWidthPreferredCount_Outliner",
	"RD_xrtGearWidthPreferredCount",
	XmNxrtGearWidthPreferredCount,
	"XmNxrtGearWidthPreferredCount",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearWidthPreferredCount),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumWidthPreferredCount,
	FALSE,
	TRUE
},
{
	"xrtGearWidthResizePolicy_Outliner",
	"RD_xrtGearWidthResizePolicy",
	XmNxrtGearWidthResizePolicy,
	"XmNxrtGearWidthResizePolicy",
	XRTGEAR_WIDGET_RESIZE_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearWidthResizePolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumWidthResizePolicy,
	FALSE,
	TRUE
},
{
	"xrtGearWidthSizingPolicy_Outliner",
	"RD_xrtGearWidthSizingPolicy",
	XmNxrtGearWidthSizingPolicy,
	"XmNxrtGearWidthSizingPolicy",
	XRTGEAR_SIZING_POLICY,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearWidthSizingPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumWidthSizingPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearWidthVirtual_Outliner",
	"RD_xrtGearWidthVirtual",
	XmNxrtGearWidthVirtual,
	"XmNxrtGearWidthVirtual",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearWidthVirtual),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumWidthVirtual,
	TRUE,
	TRUE
},
{
	"editable_Outliner",
	"RD_editable",
	XmNeditable,
	"XmNeditable",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_editable),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumEditable,
	FALSE,
	TRUE
},
{
	"xrtGearEditor_Outliner",
	"RD_xrtGearEditor",
	XmNxrtGearEditor,
	"XmNxrtGearEditor",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearEditor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumEditor,
	TRUE,
	TRUE
},
{
	"xrtGearEditNode_Outliner",
	"RD_xrtGearEditNode",
	XmNxrtGearEditNode,
	"XmNxrtGearEditNode",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearEditNode),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumEditNode,
	TRUE,
	TRUE
},
{
	"xrtGearEditColumn_Outliner",
	"RD_xrtGearEditColumn",
	XmNxrtGearEditColumn,
	"XmNxrtGearEditColumn",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearEditColumn),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumEditColumn,
	TRUE,
	TRUE
},
{
	"xrtGearEditType_Outliner",
	"RD_xrtGearEditType",
	XmNxrtGearEditType,
	"XmNxrtGearEditType",
	XRTGEAR_EDIT_TYPE,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearEditType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumEditType,
	FALSE,
	TRUE
},
{
	"xrtGearHighlightOnDrag_Outliner",
	"RD_xrtGearHighlightOnDrag",
	XmNxrtGearHighlightOnDrag,
	"XmNxrtGearHighlightOnDrag",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearHighlightOnDrag),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumHighlightOnDrag,
	FALSE,
	TRUE
},
{
	"xrtGearNodeCheckForDuplicates_Outliner",
	"RD_xrtGearNodeCheckForDuplicates",
	XmNxrtGearNodeCheckForDuplicates,
	"XmNxrtGearNodeCheckForDuplicates",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeCheckForDuplicates),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeCheckForDuplicates,
	FALSE,
	TRUE
},
{
	"xrtGearNodeEnterCellCallback_Outliner",
	"RD_xrtGearNodeEnterCellCallback",
	XmNxrtGearNodeEnterCellCallback,
	"XmNxrtGearNodeEnterCellCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeEnterCellCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeEnterCellCallback,
	FALSE,
	TRUE
},
{
	"xrtGearNodeValidateCallback_Outliner",
	"RD_xrtGearNodeValidateCallback",
	XmNxrtGearNodeValidateCallback,
	"XmNxrtGearNodeValidateCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearNodeValidateCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumNodeValidateCallback,
	FALSE,
	TRUE
},
{
	"xrtGearTextEditor_Outliner",
	"RD_xrtGearTextEditor",
	XmNxrtGearTextEditor,
	"XmNxrtGearTextEditor",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtOutlinerClass, XrtOutliner.RD_xrtGearTextEditor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtOutlinerResNumTextEditor,
	TRUE,
	TRUE
}
};

/* NODE STYLE*/
XrtGearResourceDesc 	xrtNodeStyle_res_table[] = {
{
	"fontList_NodeStyle",
	"RD_fontList",
	XmNfontList,
	"XmNfontList",
	XRTGEAR_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_fontList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumFontList,
	FALSE,
	TRUE
},
{
	"foreground_NodeStyle",
	"RD_foreground",
	XmNforeground,
	"XmNforeground",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_foreground),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumForeground,
	FALSE,
	TRUE
},
{
	"xrtGearBackgroundSelected_NodeStyle",
	"RD_xrtGearBackgroundSelected",
	XmNxrtGearBackgroundSelected,
	"XmNxrtGearBackgroundSelected",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearBackgroundSelected),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumBackgroundSelected,
	FALSE,
	TRUE
},
{
	"xrtGearFolderShortcutShow_NodeStyle",
	"RD_xrtGearFolderShortcutShow",
	XmNxrtGearFolderShortcutShow,
	"XmNxrtGearFolderShortcutShow",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearFolderShortcutShow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumFolderShortcutShow,
	FALSE,
	TRUE
},
{
	"xrtGearFontListSelected_NodeStyle",
	"RD_xrtGearFontListSelected",
	XmNxrtGearFontListSelected,
	"XmNxrtGearFontListSelected",
	XRTGEAR_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearFontListSelected),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumFontListSelected,
	FALSE,
	TRUE
},
{
	"xrtGearForegroundSelected_NodeStyle",
	"RD_xrtGearForegroundSelected",
	XmNxrtGearForegroundSelected,
	"XmNxrtGearForegroundSelected",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearForegroundSelected),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumForegroundSelected,
	FALSE,
	TRUE
},
{
	"xrtGearIconClosed_NodeStyle",
	"RD_xrtGearIconClosed",
	XmNxrtGearIconClosed,
	"XmNxrtGearIconClosed",
	XRTGEAR_ICON,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearIconClosed),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtNodeStyleResNumIconClosed,
	FALSE,
	TRUE
},
{
	"xrtGearIconClosedSelected_NodeStyle",
	"RD_xrtGearIconClosedSelected",
	XmNxrtGearIconClosedSelected,
	"XmNxrtGearIconClosedSelected",
	XRTGEAR_ICON,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearIconClosedSelected),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtNodeStyleResNumIconClosedSelected,
	FALSE,
	TRUE
},
{
	"xrtGearIconItem_NodeStyle",
	"RD_xrtGearIconItem",
	XmNxrtGearIconItem,
	"XmNxrtGearIconItem",
	XRTGEAR_ICON,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearIconItem),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtNodeStyleResNumIconItem,
	FALSE,
	TRUE
},
{
	"xrtGearIconItemSelected_NodeStyle",
	"RD_xrtGearIconItemSelected",
	XmNxrtGearIconItemSelected,
	"XmNxrtGearIconItemSelected",
	XRTGEAR_ICON,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearIconItemSelected),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtNodeStyleResNumIconItemSelected,
	FALSE,
	TRUE
},
{
	"xrtGearIconOpen_NodeStyle",
	"RD_xrtGearIconOpen",
	XmNxrtGearIconOpen,
	"XmNxrtGearIconOpen",
	XRTGEAR_ICON,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearIconOpen),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtNodeStyleResNumIconOpen,
	FALSE,
	TRUE
},
{
	"xrtGearIconOpenSelected_NodeStyle",
	"RD_xrtGearIconOpenSelected",
	XmNxrtGearIconOpenSelected,
	"XmNxrtGearIconOpenSelected",
	XRTGEAR_ICON,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearIconOpenSelected),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtNodeStyleResNumIconOpenSelected,
	FALSE,
	TRUE
},
{
	"xrtGearLayoutSpacing_NodeStyle",
	"RD_xrtGearLayoutSpacing",
	XmNxrtGearLayoutSpacing,
	"XmNxrtGearLayoutSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearLayoutSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumLayoutSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearLineColor_NodeStyle",
	"RD_xrtGearLineColor",
	XmNxrtGearLineColor,
	"XmNxrtGearLineColor",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearLineColor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumLineColor,
	FALSE,
	TRUE
},
{
	"xrtGearLineStyle_NodeStyle",
	"RD_xrtGearLineStyle",
	XmNxrtGearLineStyle,
	"XmNxrtGearLineStyle",
	XRTGEAR_LINE_STYLE,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearLineStyle),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumLineStyle,
	FALSE,
	TRUE
},
{
	"xrtGearLineWidth_NodeStyle",
	"RD_xrtGearLineWidth",
	XmNxrtGearLineWidth,
	"XmNxrtGearLineWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearLineWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumLineWidth,
	FALSE,
	TRUE
},
{
	"xrtGearShortcutShow_NodeStyle",
	"RD_xrtGearShortcutShow",
	XmNxrtGearShortcutShow,
	"XmNxrtGearShortcutShow",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearShortcutShow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumShortcutShow,
	FALSE,
	TRUE
},
{
	"xrtGearShortcutSize_NodeStyle",
	"RD_xrtGearShortcutSize",
	XmNxrtGearShortcutSize,
	"XmNxrtGearShortcutSize",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearShortcutSize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumShortcutSize,
	FALSE,
	TRUE
},
{
	"xrtGearShortcutColor_NodeStyle",
	"RD_xrtGearShortcutColor",
	XmNxrtGearShortcutColor,
	"XmNxrtGearShortcutColor",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtNodeStyleClass, XrtNodeStyle.RD_xrtGearShortcutColor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtNodeStyleResNumShortcutColor,
	FALSE,
	TRUE
}
};

/* COLUMN */
XrtGearResourceDesc 	xrtColumn_res_table[] = {
{
	"fontList_Column",
	"RD_fontList",
	XmNfontList,
	"XmNfontList",
	XRTGEAR_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_fontList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumFontList,
	FALSE,
	TRUE
},
{
	"foreground_Column",
	"RD_foreground",
	XmNforeground,
	"XmNforeground",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_foreground),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumForeground,
	FALSE,
	TRUE
},
{
	"height_Column",
	"RD_height",
	XmNheight,
	"XmNheight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_height),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumHeight,
	FALSE,
	TRUE
},
{
	"width_Column",
	"RD_width",
	XmNwidth,
	"XmNwidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_width),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumWidth,
	FALSE,
	TRUE
},
{
	"xrtGearFontListSelected_Column",
	"RD_xrtGearFontListSelected",
	XmNxrtGearFontListSelected,
	"XmNxrtGearFontListSelected",
	XRTGEAR_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearFontListSelected),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumFontListSelected,
	FALSE,
	TRUE
},
{
	"xrtGearLabel_Column",
	"RD_xrtGearLabel",
	XmNxrtGearLabel,
	"XmNxrtGearLabel",
	XRTGEAR_GEAR_STRING,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearLabel),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumLabel,
	FALSE,
	TRUE
},
{
	"xrtGearLabelAlignment_Column",
	"RD_xrtGearLabelAlignment",
	XmNxrtGearLabelAlignment,
	"XmNxrtGearLabelAlignment",
	XRTGEAR_ALIGNMENT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearLabelAlignment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumLabelAlignment,
	FALSE,
	TRUE
},
{
	"xrtGearMarginLeft_Column",
	"RD_xrtGearMarginLeft",
	XmNxrtGearMarginLeft,
	"XmNxrtGearMarginLeft",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearMarginLeft),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumMarginLeft,
	FALSE,
	TRUE
},
{
	"xrtGearMarginRight_Column",
	"RD_xrtGearMarginRight",
	XmNxrtGearMarginRight,
	"XmNxrtGearMarginRight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearMarginRight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumMarginRight,
	FALSE,
	TRUE
},
{
	"xrtGearNodeAlignment_Column",
	"RD_xrtGearNodeAlignment",
	XmNxrtGearNodeAlignment,
	"XmNxrtGearNodeAlignment",
	XRTGEAR_ALIGNMENT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearNodeAlignment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumNodeAlignment,
	FALSE,
	TRUE
},
{
	"xrtGearResizeCallback_Column",
	"RD_xrtGearResizeCallback",
	XmNxrtGearResizeCallback,
	"XmNxrtGearResizeCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearResizeCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtColumnResNumResizeCallback,
	FALSE,
	TRUE
},
{
	"xrtGearSelected_Column",
	"RD_xrtGearSelected",
	XmNxrtGearSelected,
	"XmNxrtGearSelected",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearSelected),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumSelected,
	FALSE,
	TRUE
},
{
	"xrtGearWidthResizePolicy_Column",
	"RD_xrtGearWidthResizePolicy",
	XmNxrtGearWidthResizePolicy,
	"XmNxrtGearWidthResizePolicy",
	XRTGEAR_COLUMN_RESIZE_POLICY,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearWidthResizePolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumWidthResizePolicy,
	FALSE,
	TRUE
},
{
	"xrtGearWidthSizingPolicy_Column",
	"RD_xrtGearWidthSizingPolicy",
	XmNxrtGearWidthSizingPolicy,
	"XmNxrtGearWidthSizingPolicy",
	XRTGEAR_SIZING_POLICY,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearWidthSizingPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumWidthSizingPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearWidthMaximum_Column",
	"RD_xrtGearWidthMaximum",
	XmNxrtGearWidthMaximum,
	"XmNxrtGearWidthMaximum",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearWidthMaximum),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumWidthMaximum,
	FALSE,
	TRUE
},
{
	"xrtGearWidthMinimum_Column",
	"RD_xrtGearWidthMinimum",
	XmNxrtGearWidthMinimum,
	"XmNxrtGearWidthMinimum",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearWidthMinimum),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumWidthMinimum,
	FALSE,
	TRUE
},
{
	"xrtGearWidthPreferredCount_Column",
	"RD_xrtGearWidthPreferredCount",
	XmNxrtGearWidthPreferredCount,
	"XmNxrtGearWidthPreferredCount",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_xrtGearWidthPreferredCount),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumWidthPreferredCount,
	FALSE,
	TRUE
},
{
	"background_Column",
	"RD_background",
	XmNbackground,
	"XmNbackground",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_background),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumBackground,
	FALSE,
	TRUE
},
{
	"editable_Column",
	"RD_editable",
	XmNeditable,
	"XmNeditable",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtColumnClass, XrtColumn.RD_editable),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtColumnResNumEditable,
	FALSE,
	TRUE
}
};

/* GEAR_COMBO */
XrtGearResourceDesc 	xrtGearCombo_res_table[] = {
{
	"blinkRate_Combo",
	"RD_blinkRate",
	XmNblinkRate,
	"XmNblinkRate",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_blinkRate),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumBlinkRate,
	FALSE,
	TRUE
},
{
	"columns_Combo",
	"RD_columns",
	XmNcolumns,
	"XmNcolumns",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_columns),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumColumns,
	FALSE,
	TRUE
},
{
	"cursorPosition_Combo",
	"RD_cursorPosition",
	XmNcursorPosition,
	"XmNcursorPosition",
	XRTGEAR_INT,   /*in Xm.h typedef long XmTextPosition*/
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_cursorPosition),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumCursorPosition,
	FALSE,
	TRUE
},
{
	"cursorPositionVisible_Combo",
	"RD_cursorPositionVisible",
	XmNcursorPositionVisible,
	"XmNcursorPositionVisible",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_cursorPositionVisible),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumCursorPositionVisible,
	FALSE,
	TRUE
},
{
	"editable_Combo",
	"RD_editable",
	XmNeditable,
	"XmNeditable",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_editable),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumEditable,
	FALSE,
	TRUE
},
{
	"fontList_Combo",
	"RD_fontList",
	XmNfontList,
	"XmNfontList",
	XRTGEAR_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_fontList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumFontList,
	FALSE,
	TRUE
},
{
	"maxLength_Combo",
	"RD_maxLength",
	XmNmaxLength,
	"XmNmaxLength",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_maxLength),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumMaxLength,
	FALSE,
	TRUE
},
{
	"marginHeight_Combo",
	"RD_marginHeight",
	XmNmarginHeight,
	"XmNmarginHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_marginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"marginWidth_Combo",
	"RD_marginWidth",
	XmNmarginWidth,
	"XmNmarginWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_marginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"pendingDelete_Combo",
	"RD_pendingDelete",
	XmNpendingDelete,
	"XmNpendingDelete",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_pendingDelete),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumPendingDelete,
	FALSE,
	TRUE
},
{
	"resizeWidth_Combo",
	"RD_resizeWidth",
	XmNresizeWidth,
	"XmNresizeWidth",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_resizeWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumResizeWidth,
	FALSE,
	TRUE
},
#if 0
{
	"selectionArray_Combo",
	"RD_selectionArray",
	XmNselectionArray,
	"XmNselectionArray",
	XRTGEAR_,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_selectionArray),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumSelectionArray,
	FALSE,
	TRUE
},
{
	"selectionArrayCount_Combo",
	"RD_selectionArrayCount",
	XmNselectionArrayCount,
	"XmNselectionArrayCount",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_selectionArrayCount),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumSelectionArrayCount,
	FALSE,
	TRUE
},
#endif
{
	"selectThreshold_Combo",
	"RD_selectThreshold",
	XmNselectThreshold,
	"XmNselectThreshold",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_selectThreshold),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumSelectThreshold,
	FALSE,
	TRUE
},
{
	"value_Combo",
	"RD_value",
	XmNvalue,
	"XmNvalue",
	XRTGEAR_STRING,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_value),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumValue,
	FALSE,
	TRUE
},
#if 0
must add new type to Xrt_restable.h
{
	"valueWcs_Combo",
	"RD_valueWcs",
	XmNvalueWcs,
	"XmNvalueWcs",
	XRTGEAR_,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_valueWcs),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumValueWcs,
	FALSE,
	TRUE
},
#endif
{
	"verifyBell_Combo",
	"RD_verifyBell",
	XmNverifyBell,
	"XmNverifyBell",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_verifyBell),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumVerifyBell,
	FALSE,
	TRUE
},
{
	"xrtGearAlignment_Combo",
	"RD_xrtGearAlignment",
	XmNxrtGearAlignment,
	"XmNxrtGearAlignment",
	XRTGEAR_MENU_ALIGNMENT, /*new*/
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearAlignment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumAlignment,
	FALSE,
	TRUE
},
{
	"xrtGearArrow_Combo",
	"RD_xrtGearArrow",
	XmNxrtGearArrow,
	"XmNxrtGearArrow",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearArrow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumArrow,
	TRUE,
	TRUE
},
{
	"xrtGearArrowClass_Combo",
	"RD_xrtGearArrowClass",
	XmNxrtGearArrowClass,
	"XmNxrtGearArrowClass",
	XRTGEAR_WIDGET_CLASS,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearArrowClass),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumArrowClass,
	FALSE,
	TRUE
},
{
	"xrtGearArrowType_Combo",
	"RD_xrtGearArrowType",
	XmNxrtGearArrowType,
	"XmNxrtGearArrowType",
	XRTGEAR_ARROW_TYPE,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearArrowType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumArrowType,
	FALSE,
	TRUE
},
{
	"xrtGearMenuCallback_Combo",
	"RD_xrtGearMenuCallback",
	XmNxrtGearMenuCallback,
	"XmNxrtGearMenuCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearMenuCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtGearComboResNumMenuCallback,
	FALSE,
	TRUE
},
{
	"xrtGearMenuList_Combo",
	"RD_xrtGearMenuList",
	XmNxrtGearMenuList,
	"XmNxrtGearMenuList",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearMenuList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumMenuList,
	TRUE,
	TRUE
},
{
	"xrtGearPickList_Combo",
	"RD_xrtGearPickList",
	XmNxrtGearPickList,
	"XmNxrtGearPickList",
	XRTGEAR_STRING_TABLE, /*NEW ??*/
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearPickList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumPickList,
	FALSE,
	TRUE
},
{
	"xrtGearPickListIndex_Combo",
	"RD_xrtGearPickListIndex",
	XmNxrtGearPickListIndex,
	"XmNxrtGearPickListIndex",
	XRTGEAR_PICKLIST_INDEX,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearPickListIndex),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumPickListIndex,
	FALSE,
	TRUE
},
{
	"xrtGearSearchPolicy_Combo",
	"RD_xrtGearSearchPolicy",
	XmNxrtGearSearchPolicy,
	"XmNxrtGearSearchPolicy",
	XRTGEAR_SEARCH_POLICY,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearSearchPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumSearchPolicy,
	FALSE,
	TRUE
},
{
	"xrtGearSpacing_Combo",
	"RD_xrtGearSpacing",
	XmNxrtGearSpacing,
	"XmNxrtGearSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearTextField_Combo",
	"RD_xrtGearTextField",
	XmNxrtGearTextField,
	"XmNxrtGearTextField",
	XRTGEAR_WIDGET,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearTextField),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumTextField,
	TRUE,
	TRUE
},
{
	"xrtGearVisibleItemCount_Combo",
	"RD_xrtGearVisibleItemCount",
	XmNxrtGearVisibleItemCount,
	"XmNxrtGearVisibleItemCount",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearVisibleItemCount),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumVisibleItemCount,
	FALSE,
	TRUE
},
{
	"xrtGearAutoComplete_Combo",
	"RD_xrtGearAutoComplete",
	XmNxrtGearAutoComplete,
	"XmNxrtGearAutoComplete",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtGearComboClass, XrtGearCombo.RD_xrtGearAutoComplete),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtGearComboResNumAutoComplete,
	FALSE,
	TRUE
}
};

/* PROGRESS */
XrtGearResourceDesc 	xrtProgress_res_table[] = {
{
	"fontList_Progress",
	"RD_fontList",
	XmNfontList,
	"XmNfontList",
	XRTGEAR_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_fontList),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtProgressResNumFontList,
	FALSE,
	TRUE
},
{
	"marginHeight_Progress",
	"RD_marginHeight",
	XmNmarginHeight,
	"XmNmarginHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_marginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"marginWidth_Progress",
	"RD_marginWidth",
	XmNmarginWidth,
	"XmNmarginWidth",
	XRTGEAR_SHORT,
 	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_marginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"maximum_Progress",
	"RD_maximum",
	XmNmaximum,
	"XmNmaximum",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_maximum),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumMaximum,
	FALSE,
	TRUE
},
{
	"minimum_Progress",
	"RD_minimum",
	XmNminimum,
	"XmNminimum",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_minimum),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumMinimum,
	FALSE,
	TRUE
},
{
	"recomputeSize_Progress",
	"RD_recomputeSize",
	XmNrecomputeSize,
	"XmNrecomputeSize",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_recomputeSize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumRecomputeSize,
	FALSE,
	TRUE
},
{
	"value_Progress",
	"RD_value",
	XmNvalue,
	"XmNvalue",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_value),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumValue,
	FALSE,
	TRUE
},
{
	"xrtGearBarColor_Progress",
	"RD_xrtGearBarColor",
	XmNxrtGearBarColor,
	"XmNxrtGearBarColor",
	XRTGEAR_PIXEL,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearBarColor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumBarColor,
	FALSE,
	TRUE
},
{
	"xrtGearBarCount_Progress",
	"RD_xrtGearBarCount",
	XmNxrtGearBarCount,
	"XmNxrtGearBarCount",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearBarCount),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumBarCount,
	FALSE,
	TRUE
},
{
	"xrtGearBarSpacing_Progress",
	"RD_xrtGearBarSpacing",
	XmNxrtGearBarSpacing,
	"XmNxrtGearBarSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearBarSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumBarSpacing,
	FALSE,
	TRUE
},
{
	"xrtGearDoubleBuffer_Progress",
	"RD_xrtGearDoubleBuffer",
	XmNxrtGearDoubleBuffer,
	"XmNxrtGearDoubleBuffer",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearDoubleBuffer),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumDoubleBuffer,
	FALSE,
	TRUE
},
{
	"xrtGearIcon_Progress",
	"RD_xrtGearIcon",
	XmNxrtGearIcon,
	"XmNxrtGearIcon",
	XRTGEAR_ICON,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearIcon),
	XRTDIV_SPECIFIC,
	XRTPASS2,
	NULL,
	xrtProgressResNumIcon,
	FALSE,
	TRUE
},
{
	"xrtGearLabelAlignment_Progress",
	"RD_xrtGearLabelAlignment",
	XmNxrtGearLabelAlignment,
	"XmNxrtGearLabelAlignment",
	XRTGEAR_ALIGNMENT,	
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearLabelAlignment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumLabelAlignment,
	FALSE,
	TRUE
},
{
	"xrtGearLabelFormat_Progress",
	"RD_xrtGearLabelFormat",
	XmNxrtGearLabelFormat,
	"XmNxrtGearLabelFormat",
	XRTGEAR_STRING,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearLabelFormat),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumLabelFormat,
	FALSE,
	TRUE
},
{
	"xrtGearLabelFormatCallback_Progress",
	"RD_xrtGearLabelFormatCallback",
	XmNxrtGearLabelFormatCallback,
	"XmNxrtGearLabelFormatCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearLabelFormatCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtProgressResNumLabelFormatCallback,
	FALSE,
	TRUE
},
{
	"xrtGearLabelShow_Progress",
	"RD_xrtGearLabelShow",
	XmNxrtGearLabelShow,
	"XmNxrtGearLabelShow",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearLabelShow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumLabelShow,
	FALSE,
	TRUE
},
{
	"xrtGearProgressCallback_Progress",
	"RD_xrtGearProgressCallback",
	XmNxrtGearProgressCallback,
	"XmNxrtGearProgressCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearProgressCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtProgressResNumProgressCallback,
	FALSE,
	TRUE
},
{
	"xrtGearProgressTimeOut_Progress",
	"RD_xrtGearProgressTimeOut",
	XmNxrtGearProgressTimeOut,
	"XmNxrtGearProgressTimeOut",
	XRTGEAR_ULONG,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearProgressTimeOut),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumProgressTimeOut,
	FALSE,
	TRUE
},
{
	"xrtGearProgressType_Progress",
	"RD_xrtGearProgressType",
	XmNxrtGearProgressType,
	"XmNxrtGearProgressType",
	XRTGEAR_PROGRESS_TYPE,
	{0, 0, 0},
	Offset(UxXrtProgressClass, XrtProgress.RD_xrtGearProgressType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtProgressResNumProgressType,
	FALSE,
	TRUE
}
};

/* PANED WINDOW */
XrtGearResourceDesc 	xrtPanedWindow_res_table[] = {
{
	"xrtGearAllowResize_PanedW",
	"RD_xrtGearAllowResize",
	XmNxrtGearAllowResize,
	"XmNxrtGearAllowResize",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearAllowResize),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumAllowResize,
	FALSE,
	TRUE
},
{
	"xrtGearMarginHeight_PanedW",
	"RD_xrtGearMarginHeight",
	XmNxrtGearMarginHeight,
	"XmNxrtGearMarginHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearMarginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"xrtGearMarginWidth_PanedW",
	"RD_xrtGearMarginWidth",
	XmNxrtGearMarginWidth,
	"XmNxrtGearMarginWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearMarginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"xrtGearMaximum_PanedW",
	"RD_xrtGearMaximum",
	XmNxrtGearMaximum,
	"XmNxrtGearMaximum",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearMaximum),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumMaximum,
	FALSE,
	TRUE
},
{
	"xrtGearMinimum_PanedW",
	"RD_xrtGearMinimum",
	XmNxrtGearMinimum,
	"XmNxrtGearMinimum",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearMinimum),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumMinimum,
	FALSE,
	TRUE
},
{
	"xrtGearOrientation_PanedW",
	"RD_xrtGearOrientation",
	XmNxrtGearOrientation,
	"XmNxrtGearOrientation",
	XRTGEAR_ORIENTATION,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearOrientation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumOrientation,
	FALSE,
	TRUE
},
{
	"xrtGearPaneResizeCallback_PanedW",
	"RD_xrtGearPaneResizeCallback",
	XmNxrtGearPaneResizeCallback,
	"XmNxrtGearPaneResizeCallback",
	XRTGEAR_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearPaneResizeCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumPaneResizeCallback,
	FALSE,
	TRUE
},
{
	"xrtGearPosition_PanedW",
	"RD_xrtGearPosition",
	XmNxrtGearPosition,
	"XmNxrtGearPosition",
	XRTGEAR_INT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearPosition),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumPosition,
	FALSE,
	TRUE
},
{
	"xrtGearRecomputeSize_PanedW",
	"RD_xrtGearRecomputeSize",
	XmNxrtGearRecomputeSize,
	"XmNxrtGearRecomputeSize",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearRecomputeSize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumRecomputeSize,
	FALSE,
	TRUE
},
{
	"xrtGearSashHeight_PanedW",
	"RD_xrtGearSashHeight",
	XmNxrtGearSashHeight,
	"XmNxrtGearSashHeight",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearSashHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumSashHeight,
	FALSE,
	TRUE
},
{
	"xrtGearSashIndent_PanedW",
	"RD_xrtGearSashIndent",
	XmNxrtGearSashIndent,
	"XmNxrtGearSashIndent",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearSashIndent),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumSashIndent,
	FALSE,
	TRUE
},
{
	"xrtGearSashShadowThickness_PanedW",
	"RD_xrtGearSashShadowThickness",
	XmNxrtGearSashShadowThickness,
	"XmNxrtGearSashShadowThickness",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearSashShadowThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumSashShadowThickness,
	FALSE,
	TRUE
},
{
	"xrtGearSashWidth_PanedW",
	"RD_xrtGearSashWidth",
	XmNxrtGearSashWidth,
	"XmNxrtGearSashWidth",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearSashWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumSashWidth,
	FALSE,
	TRUE
},
{
	"xrtGearSeparatorShow_PanedW",
	"RD_xrtGearSeparatorShow",
	XmNxrtGearSeparatorShow,
	"XmNxrtGearSeparatorShow",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearSeparatorShow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumSeparatorShow,
	FALSE,
	TRUE
},
{
	"xrtGearSkipAdjust_PanedW",
	"RD_xrtGearSkipAdjust",
	XmNxrtGearSkipAdjust,
	"XmNxrtGearSkipAdjust",
	XRTGEAR_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearSkipAdjust),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumSkipAdjust,
	FALSE,
	TRUE
},
{
	"xrtGearSpacing_PanedW",
	"RD_xrtGearSpacing",
	XmNxrtGearSpacing,
	"XmNxrtGearSpacing",
	XRTGEAR_SHORT,
	{0, 0, 0},
	Offset(UxXrtPanedWindowClass, XrtPanedWindow.RD_xrtGearSpacing),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtPanedWindowResNumSpacing,
	FALSE,
	TRUE
}
};

int numAlnr_res =
(sizeof(xrtAlnr_res_table) / sizeof(xrtAlnr_res_table[0]));
int numGLbl_res =
(sizeof(xrtGLbl_res_table) / sizeof(xrtGLbl_res_table[0]));
int numPB_res =
(sizeof(xrtPB_res_table) / sizeof(xrtPB_res_table[0]));
int numTabB_res =
(sizeof(xrtTabB_res_table) / sizeof(xrtTabB_res_table[0]));
int numTabM_res =
(sizeof(xrtTabM_res_table) / sizeof(xrtTabM_res_table[0]));
int numTogB_res =
(sizeof(xrtTogB_res_table) / sizeof(xrtTogB_res_table[0]));
int numTbar_res =
(sizeof(xrtTbar_res_table) / sizeof(xrtTbar_res_table[0]));
int numOutliner_res =
(sizeof(xrtOutliner_res_table) / sizeof(xrtOutliner_res_table[0]));
int numNodeStyle_res =
(sizeof(xrtNodeStyle_res_table) / sizeof(xrtNodeStyle_res_table[0]));
int numColumn_res =
 (sizeof(xrtColumn_res_table) / sizeof(xrtColumn_res_table[0]));
int numGearCombo_res =
 (sizeof(xrtGearCombo_res_table) / sizeof(xrtGearCombo_res_table[0]));
int numProgress_res =
 (sizeof(xrtProgress_res_table) / sizeof(xrtProgress_res_table[0]));
int numPanedWindow_res =
 (sizeof(xrtPanedWindow_res_table) / sizeof(xrtPanedWindow_res_table[0]));


XrtResourceType **xrtgear_res_types = NULL;
int				numgear_res_types;

void
XrtGear_init_resource_types()
{
	XrtResourceType	*type;
	int				n;
	static Boolean	AlreadyDone = FALSE;
	
	if (AlreadyDone) {
		return;
	}

	n = 0;
	xrtgear_res_types = (XrtResourceType **)
		calloc(n+2, sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ARM_MASK;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearArmMask;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearPixmap;
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupPixView;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ARM_PIXMAP;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearArmPixmap;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearPixmap;
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupPixView; 
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ALIGNER_ALIGNMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearAlignerAlignment;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearAlignerAlignment;
	type->validate = UxValidateXrtGearAlignerAlignment;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ALIGNMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearAlignment;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearAlignment;
	type->validate = UxValidateXrtGearAlignment;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ANCHOR_SIDE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearAnchorSide;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearAnchorSide;
	type->validate = UxValidateXrtGearAnchorSide;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_BOOLEAN;
	type->utype = UxUT_string;
	type->xtype = UxXT_Boolean;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfBoolean;
	type->validate = UxValidateBoolean;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_BORDER_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearBorderType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearBorderType;
	type->validate = UxValidateXrtGearBorderType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_CALLBACK;
	type->utype = (short) 0;
	type->xtype = 0;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = NULL;
	type->validate = NULL;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_CHILD_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearChildType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearChildType;
	type->validate = UxValidateXrtGearChildType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_INDICATOR;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearIndicator;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearIndicator;
	type->validate = UxValidateXrtGearIndicator;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_INDICATOR_MASK_LIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearIndicatorMaskList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearIndicatorMaskList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_INDICATOR_PIXMAP_LIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearIndicatorPixmapList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearIndicatorPixmapList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_INT;
	type->utype = UxUT_int;
	type->xtype = UxXT_int;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfInt;
	type->validate = UxValidateInt;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_MASK;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearMask;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearMask;
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupPixView;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ORIENTATION;
	type->utype = UxUT_string;
	type->xtype = UxXT_Orientation;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfOrientation;
	type->validate = UxValidateOrientation;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_PAGE_ATTACH_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearPageAttachPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearPageAttachPolicy;
	type->validate = UxValidateXrtGearPageAttachPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_PIXEL;
	type->utype = UxUT_string;
#ifdef SOLARIS
        /* OLD Solaris's UIM/X(utype.o) can not handling "dynamic color" */
	type->xtype = UxXT_XrtGearPixel;
#else
	type->xtype = UxXT_Pixel;
#endif /* SOLARIS */
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfPixel;
	type->validate = UxValidatePixel;
	type->edit_func = UxGUIPopupColorView;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_PIXMAP;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearPixmap;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearPixmap;
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupPixView;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ROTATION;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearRotation;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearRotation;
	type->validate = UxValidateXrtGearRotation;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_SHORT;
	type->utype = UxUT_short;
	type->xtype = UxXT_short;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfInt;
	type->validate = UxValidateInt;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_STRING_LAYOUT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearStringLayout;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearStringLayout;
	type->validate = UxValidateXrtGearStringLayout;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_STYLE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearStyle;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearStyle;
	type->validate = UxValidateXrtGearStyle;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_TAB_SIDE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearTabSide;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearTabSide;
	type->validate = UxValidateXrtGearTabSide;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearType;
	type->validate = UxValidateXrtGearType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_WIDGET;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearWidget;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfWidget;
	type->validate = UxValidateWidget;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_WIDGET_CLASS;
	type->utype = UxUT_string;
	type->xtype = UxXT_WidgetClass;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	/*New data types in gear2.0*/
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ARROW_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearArrowType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearArrowType;
	type->validate = UxValidateXrtGearArrowType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = 	XRTGEAR_BORDER_LOCATION;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearBorderLocation;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearBorderLocation;
	type->validate = UxValidateXrtGearBorderLocation;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = 	XRTGEAR_CHAR;
	type->utype = UxUT_char;
	type->xtype = UxXT_char;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfChar;
	type->validate = UxValidateChar;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_COLUMN;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearColumn;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_COLUMN_RESIZE_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearColumnResizePolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearColumnResizePolicy;
	type->validate = UxValidateXrtGearColumnResizePolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_CURSOR;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearCursor;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_DISPLAY_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearDisplayPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearDisplayPolicy;
	type->validate = UxValidateXrtGearDisplayPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_FONT_LIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XmFontList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXmFontList;
	type->validate = UxValidateXmFontList;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_FOLDER_STATE_MASK;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearFolderStateMask;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearFolderStateMask;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_FUNCTION;
	type->utype = UxUT_voidFunction;
	type->xtype = UxXT_String;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfVoidFunction;
	type->validate = UxValidateVoidFunction;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_GEAR_STRING;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearString;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearString;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ICON;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearIcon;
	type->convert_flag = 1;
	type->converter = "UxConvertXrtGearIcon";
	type->values_of = UxValuesOfXrtGearIcon;
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupPixView;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_IMPORT_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearImportPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearImportPolicy;
	type->validate = UxValidateXrtGearImportPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_INDENT_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearIndentPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearIndentPolicy;
	type->validate = UxValidateXrtGearIndentPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_LINE_STYLE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearLineStyle;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearLineStyle;
	type->validate = UxValidateXrtGearLineStyle;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_MENU_ALIGNMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearMenuAlignment;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearMenuAlignment;
	type->validate = UxValidateXrtGearMenuAlignment;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_NODE_MOVE_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearNodeMovePolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearNodeMovePolicy;
	type->validate = UxValidateXrtGearNodeMovePolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_NODE_STYLE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearNodeStyle;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_POSITION;
	type->utype = UxUT_int;
	type->xtype = UxXT_Position;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfPosition;
	type->validate = UxValidatePosition;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_PROGRESS_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearProgressType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearProgressType;
	type->validate = UxValidateXrtGearProgressType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_PS_FONT_MAP_LIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearPSFontMapList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearPSFontMapList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = 	XRTGEAR_SCROLLBAR_PLACEMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_ScrollBarPlacement;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfScrollBarPlacement;
	type->validate = UxValidateScrollBarPlacement;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_SELECTION_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearSelectionPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearSelectionPolicy;
	type->validate = UxValidateXrtGearSelectionPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_SELECTION_RESTRICTIONS;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearSelectionRestrictions;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearSelectionRestrictions;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_SEARCH_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearSearchPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearSearchPolicy;
	type->validate = UxValidateXrtGearSearchPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_SIZING_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearSizingPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearSizingPolicy;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = 	XRTGEAR_STRING;
	type->utype = UxUT_string;
	type->xtype = UxXT_String;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = 	XRTGEAR_STRING_TABLE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearStringTable;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfStringTable;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_TEXT_CLIP_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearTextClipPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearTextClipPolicy;
	type->validate = UxValidateXrtGearTextClipPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_TREE_DATA;
	type->utype = UxUT_string;
	type->xtype = UxXT_String;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTreeEd;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_ULONG;
	type->utype = UxUT_long;
	type->xtype = UxXT_XrtGearUlong;
	type->convert_flag = 1;
	type->converter = NULL; 
	type->values_of = UxValuesOfInt;
	type->validate = UxValidateInt;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;
	
	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_WIDGET_RESIZE_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearWidgetResizePolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearWidgetResizePolicy;
	type->validate = UxValidateXrtGearWidgetResizePolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_EDIT_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtGearEditType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearEditType;
	type->validate = UxValidateXrtGearEditType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

	xrtgear_res_types = (XrtResourceType **)
		realloc(xrtgear_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_gear = XRTGEAR_PICKLIST_INDEX;
	type->utype = UxUT_int;
	type->xtype = UxXT_int;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtGearPickListIndex;
	type->validate = UxValidateXrtGearPickListIndex;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrtgear_res_types[n++] = type;

 	xrtgear_res_types[n] = NULL;
	numgear_res_types = n;
	AlreadyDone = TRUE;

}

static void
XrtGear_initialize_resources(table, nres, nres_string)
XrtGearResourceDesc	*table;
int					nres;
char				*nres_string;
{
	int		itype, n;
	char	buffer[128];
	
	sprintf(buffer, "%s", nres_string);
	
	for (n = 0; n < nres; n++) {
		itype = (int) table[n].res_type;
		table[n].type = xrtgear_res_types[itype];
		if (table[n].resnum != n) {
			sprintf(buffer,
					"Gear resource number (%d) & table number (%d) unequal!",
					table[n].resnum, n);
		}
	}

}

void
XrtGear_init_resource_table()
{
	static Boolean	AlreadyDone = FALSE;

 	if (AlreadyDone) {
		return;
	}

	XrtGear_init_resource_types();

	XrtGear_initialize_resources(xrtAlnr_res_table, numAlnr_res, "numAlnr_res");
	XrtGear_initialize_resources(xrtGLbl_res_table, numGLbl_res, "numGLbl_res");
	XrtGear_initialize_resources(xrtPB_res_table, 	numPB_res, 	 "numPB_res" );
	XrtGear_initialize_resources(xrtTabB_res_table, numTabB_res, "numTabB_res");
	XrtGear_initialize_resources(xrtTabM_res_table, numTabM_res, "numTabM_res");
	XrtGear_initialize_resources(xrtTogB_res_table, numTogB_res, "numTogB_res");
	XrtGear_initialize_resources(xrtTbar_res_table, numTbar_res, "numTbar_res");
	XrtGear_initialize_resources(xrtOutliner_res_table,		numOutliner_res,	"numOutliner_res");
	XrtGear_initialize_resources(xrtNodeStyle_res_table,	numNodeStyle_res,	"numNodeStyle_res");
	XrtGear_initialize_resources(xrtColumn_res_table,		numColumn_res,		"numColumn_res");
	XrtGear_initialize_resources(xrtGearCombo_res_table,	numGearCombo_res,	"numGearCombo_res");
	XrtGear_initialize_resources(xrtProgress_res_table,		numProgress_res,	"numProgress_res");
	XrtGear_initialize_resources(xrtPanedWindow_res_table,	numPanedWindow_res,	"numPanedWindow_res");
 
	AlreadyDone = TRUE;

}
