/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtAligner.h	1.7    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrtAligner.h
******************************************************************************/

#ifndef UXXRTALIGNER_INCLUDED
#define UXXRTALIGNER_INCLUDED

#include <Xm/XrtAligner.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxXrtManager.h"

#include "UxXrtAligner.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME


#define XRTGEAR_ALNR_TABLE(x)	xrtAlnr_res_table[x].prpty, xrtAlnr_res_table[x].name


/* Design-Time UxGet and UxPut macros for xrtAlnrAlignerAlignment */
#ifndef UxGetXrtGearAlignerAlignment_Alnr
#define UxGetXrtGearAlignerAlignment_Alnr(sw) \
	UxGET_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumAlignerAlignment))
#endif
#ifndef UxPutXrtGearAlignerAlignment_Alnr
#define UxPutXrtGearAlignerAlignment_Alnr(sw, val) \
	UxPUT_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumAlignerAlignment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrAlignBaseline */
#ifndef UxGetXrtGearAlignBaseline_Alnr
#define UxGetXrtGearAlignBaseline_Alnr(sw) \
	UxGET_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumAlignBaseline))
#endif
#ifndef UxPutXrtGearAlignBaseline_Alnr
#define UxPutXrtGearAlignBaseline_Alnr(sw, val) \
	UxPUT_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumAlignBaseline), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrColumnSpacing */
#ifndef UxGetXrtGearColumnSpacing_Alnr
#define UxGetXrtGearColumnSpacing_Alnr(sw) \
	UxGET_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumColumnSpacing))
#endif
#ifndef UxPutXrtGearColumnSpacing_Alnr
#define UxPutXrtGearColumnSpacing_Alnr(sw, val) \
	UxPUT_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumColumnSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrMarginHeight */
#ifndef UxGetXrtGearMarginHeight_Alnr
#define UxGetXrtGearMarginHeight_Alnr(sw) \
	UxGET_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumMarginHeight))
#endif
#ifndef UxPutXrtGearMarginHeight_Alnr
#define UxPutXrtGearMarginHeight_Alnr(sw, val) \
	UxPUT_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumMarginHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrMarginWidth */
#ifndef UxGetXrtGearMarginWidth_Alnr
#define UxGetXrtGearMarginWidth_Alnr(sw) \
	UxGET_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumMarginWidth))
#endif
#ifndef UxPutXrtGearMarginWidth_Alnr
#define UxPutXrtGearMarginWidth_Alnr(sw, val) \
	UxPUT_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumMarginWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrOrientation */
#ifndef UxGetXrtGearOrientation_Alnr
#define UxGetXrtGearOrientation_Alnr(sw) \
	UxGET_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumOrientation))
#endif
#ifndef UxPutXrtGearOrientation_Alnr
#define UxPutXrtGearOrientation_Alnr(sw, val) \
	UxPUT_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumOrientation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrPosition */
#ifndef UxGetXrtGearPosition_Alnr
#define UxGetXrtGearPosition_Alnr(sw) \
	UxGET_int(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumPosition))
#endif
#ifndef UxPutXrtGearPosition_Alnr
#define UxPutXrtGearPosition_Alnr(sw, val) \
	UxPUT_int(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumPosition), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrRowSpacing */
#ifndef UxGetXrtGearRowSpacing_Alnr
#define UxGetXrtGearRowSpacing_Alnr(sw) \
	UxGET_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumRowSpacing))
#endif
#ifndef UxPutXrtGearRowSpacing_Alnr
#define UxPutXrtGearRowSpacing_Alnr(sw, val) \
	UxPUT_short(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumRowSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrResizeHeight */
#ifndef UxGetXrtGearResizeHeight_Alnr
#define UxGetXrtGearResizeHeight_Alnr(sw) \
	UxGET_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumResizeHeight))
#endif
#ifndef UxPutXrtGearResizeHeight_Alnr
#define UxPutXrtGearResizeHeight_Alnr(sw, val) \
	UxPUT_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumResizeHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtAlnrResizeWidth */
#ifndef UxGetXrtGearResizeWidth_Alnr
#define UxGetXrtGearResizeWidth_Alnr(sw) \
	UxGET_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumResizeWidth))
#endif
#ifndef UxPutXrtGearResizeWidth_Alnr
#define UxPutXrtGearResizeWidth_Alnr(sw, val) \
	UxPUT_string(sw, XRTGEAR_ALNR_TABLE(xrtAlnrResNumResizeWidth), val)
#endif


extern Class_t	UxC_XrtAligner;

/* Design-time create macro */
#ifndef UxCreateXrtAligner
#define UxCreateXrtAligner(name, parent) \
	UxCreateSwidget(UxC_XrtAligner, name, parent)
#endif

#else /* RUN-TIME */

#ifndef UxGetXrtGearAlignerAlignment_Alnr
#define UxGetXrtGearAlignerAlignment_Alnr(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearAlignerAlignment)
#endif
#ifndef UxPutXrtGearAlignerAlignment_Alnr
#define UxPutXrtGearAlignerAlignment_Alnr(sw, val) \
	UxDDPutProp(sw, XmNxrtGearAlignerAlignment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearAlignBaseline_Alnr
#define UxGetXrtGearAlignBaseline_Alnr(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearAlignBaseline)
#endif
#ifndef UxPutXrtGearAlignBaseline_Alnr
#define UxPutXrtGearAlignBaseline_Alnr(sw, val) \
	UxDDPutProp(sw, XmNxrtGearAlignBaseline, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearColumnSpacing_Alnr
#define UxGetXrtGearColumnSpacing_Alnr(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearColumnSpacing)
#endif
#ifndef UxPutXrtGearColumnSpacing_Alnr
#define UxPutXrtGearColumnSpacing_Alnr(sw, val) \
	UxPutProp(sw, XmNxrtGearColumnSpacing, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginHeight_Alnr
#define UxGetXrtGearMarginHeight_Alnr(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginHeight)
#endif
#ifndef UxPutXrtGearMarginHeight_Alnr
#define UxPutXrtGearMarginHeight_Alnr(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginWidth_Alnr
#define UxGetXrtGearMarginWidth_Alnr(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginWidth)
#endif
#ifndef UxPutXrtGearMarginWidth_Alnr
#define UxPutXrtGearMarginWidth_Alnr(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearOrientation_Alnr
#define UxGetXrtGearOrientation_Alnr(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearOrientation)
#endif
#ifndef UxPutXrtGearOrientation_Alnr
#define UxPutXrtGearOrientation_Alnr(sw, val) \
	UxDDPutProp(sw, XmNxrtGearOrientation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPosition_Alnr
#define UxGetXrtGearPosition_Alnr(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearPosition)
#endif
#ifndef UxPutXrtGearPosition_Alnr
#define UxPutXrtGearPosition_Alnr(sw, val) \
	UxPutProp(sw, XmNxrtGearPosition, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearRowSpacing_Alnr
#define UxGetXrtGearRowSpacing_Alnr(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearRowSpacing)
#endif
#ifndef UxPutXrtGearRowSpacing_Alnr
#define UxPutXrtGearRowSpacing_Alnr(sw, val) \
	UxPutProp(sw, XmNxrtGearRowSpacing, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearResizeHeight_Alnr
#define UxGetXrtGearResizeHeight_Alnr(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearResizeHeight)
#endif
#ifndef UxPutXrtGearResizeHeight_Alnr
#define UxPutXrtGearResizeHeight_Alnr(sw, val) \
	UxDDPutProp(sw, XmNxrtGearResizeHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearResizeWidth_Alnr
#define UxGetXrtGearResizeWidth_Alnr(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearResizeWidth)
#endif
#ifndef UxPutXrtGearResizeWidth_Alnr
#define UxPutXrtGearResizeWidth_Alnr(sw, val) \
	UxDDPutProp(sw, XmNxrtGearResizeWidth, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtAligner
#define UxCreateXrtAligner(name, parent) \
	UxCreateSwidget(name, xmXrtAlignerWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTALIGNER_INCLUDED */

/***END*OF*FILE***************************************************************/
