/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 * $AstecId: UxXrtComboBox.h,v 1.3 2000/06/19 08:32:21 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtComboBox.h	1.5    98/11/05 KL Group Inc.
 */

/******************************************************************************
				UxXrtComboBox.h
******************************************************************************/

#ifndef UXXRTCOMBOBOX_INCLUDED
#define UXXRTCOMBOBOX_INCLUDED

#include <Xm/XrtField.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxXrtField.h"
#include "UxXrtFldManager.h"
#include "UxXrtComboBox.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTCMBFLD_TABLE(x)	xrtfldcmb_res_table[x].prpty, xrtfldcmb_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtComboArrow */
#ifndef UxGetXrtComboArrow
#define UxGetXrtComboArrow(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboArrow))
#endif
#ifndef UxPutXrtComboArrow
#define UxPutXrtComboArrow(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboArrow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtComboArrowClass */
#ifndef UxGetXrtComboArrowClass
#define UxGetXrtComboArrowClass(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboArrowClass))
#endif
#ifndef UxPutXrtComboArrowClass
#define UxPutXrtComboArrowClass(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboArrowClass), val)
#endif

/* (pds) Design-Time UxGet and UxPut macros for xrtComboArrowType */
#ifndef UxGetXrtComboArrowType
#define UxGetXrtComboArrowType(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboArrowType))
#endif
#ifndef UxPutXrtComboArrowType
#define UxPutXrtComboArrowType(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboArrowType), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtComboField */
#ifndef UxGetXrtComboField
#define UxGetXrtComboField(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboField))
#endif
#ifndef UxPutXrtComboField
#define UxPutXrtComboField(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboField), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtComboFieldClass */
#ifndef UxGetXrtComboFieldClass
#define UxGetXrtComboFieldClass(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboFieldClass))
#endif
#ifndef UxPutXrtComboFieldClass
#define UxPutXrtComboFieldClass(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboFieldClass), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtComboFieldType */
#ifndef UxGetXrtComboFieldType
#define UxGetXrtComboFieldType(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboFieldType))
#endif
#ifndef UxPutXrtComboFieldType
#define UxPutXrtComboFieldType(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtFldResNumComboFieldType), val)
#endif

/*  (pds) Design-Time UxGet and UxPut macros for xrtComboSpacing */
#ifndef UxGetXrtComboSpacing
#define UxGetXrtComboSpacing(sw) \
	UxGET_short(sw, XRTCMBFLD_TABLE(xrtFldResNumComboSpacing))
#endif
#ifndef UxPutXrtComboSpacing
#define UxPutXrtComboSpacing(sw, val) \
	UxPUT_short(sw, XRTCMBFLD_TABLE(xrtFldResNumComboSpacing), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtComboBox;

/* Design-time create macro */
#ifndef UxCreateXrtComboBox
#define UxCreateXrtComboBox(name, parent) \
	UxCreateSwidget(UxC_XrtComboBox, name, parent)
#endif

#else /* Not DESIGN_TIME */

#ifndef UxGetXrtComboArrow
#define UxGetXrtComboArrow(sw) \
	(char *) UxDDGetProp(sw, XmNxrtComboArrow)
#endif
#ifndef UxPutXrtComboArrow
#define UxPutXrtComboArrow(sw, val) \
	UxDDPutProp(sw, XmNxrtComboArrow, (XtArgVal)(val))
#endif

#ifndef UxGetXrtComboArrowClass
#define UxGetXrtComboArrowClass(sw) \
	(char *) UxDDGetProp(sw, XmNxrtComboArrowClass)
#endif
#ifndef UxPutXrtComboArrowClass
#define UxPutXrtComboArrowClass(sw, val) \
	UxDDPutProp(sw, XmNxrtComboArrowClass, (XtArgVal)(val))
#endif

/* pds */ 
#ifndef UxGetXrtComboArrowType
#define UxGetXrtComboArrowType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtComboArrowType)
#endif
#ifndef UxPutXrtComboArrowType
#define UxPutXrtComboArrowType(sw, val) \
	UxDDPutProp(sw, XmNxrtComboArrowType, (XtArgVal)(val))
#endif

#ifndef UxGetXrtComboField
#define UxGetXrtComboField(sw) \
	(char *) UxDDGetProp(sw, XmNxrtComboField)
#endif
#ifndef UxPutXrtComboField
#define UxPutXrtComboField(sw, val) \
	UxDDPutProp(sw, XmNxrtComboField, (XtArgVal)(val))
#endif

#ifndef UxGetXrtComboFieldClass
#define UxGetXrtComboFieldClass(sw) \
	(char *) UxDDGetProp(sw, XmNxrtComboFieldClass)
#endif
#ifndef UxPutXrtComboFieldClass
#define UxPutXrtComboFieldClass(sw, val) \
	UxDDPutProp(sw, XmNxrtComboFieldClass, (XtArgVal)(val))
#endif

#ifndef UxGetXrtComboFieldType
#define UxGetXrtComboFieldType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtComboFieldType)
#endif
#ifndef UxPutXrtComboFieldType
#define UxPutXrtComboFieldType(sw, val) \
	UxDDPutProp(sw, XmNxrtComboFieldType, (XtArgVal)(val))
#endif
/* pds */ 
#ifndef UxGetXrtComboSpacing
#define UxGetXrtComboSpacing(sw) \
	(short)UxShortGetProp(sw, XmNxrtComboSpacing)
#endif
#ifndef UxPutXrtComboSpacing
#define UxPutXrtComboSpacing(sw, val) \
	UxPutProp(sw, XmNxrtComboSpacing, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtComboBox
#define UxCreateXrtComboBox(name, parent) \
	UxCreateSwidget(name, xmXrtComboBoxWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTCOMBOBOX_INCLUDED */

/***END*OF*FILE***************************************************************/
