/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecId: UxXrtGaCircularGauge.hxx,v 1.3 2003/02/14 02:24:57 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGaCircularGauge.hxx	1.3    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaCircularGauge : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGaCircularGauge(void);
	UXINLINE UxXrtGaCircularGauge(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE char * GetXrtGaCenterList () const;
	UXINLINE void SetXrtGaCenterList (const char *);

	UXINLINE char * GetXrtGaCircularScaleList () const;
	UXINLINE void SetXrtGaCircularScaleList (const char *);

	UXINLINE char * GetXrtGaCounterList () const;
	UXINLINE void SetXrtGaCounterList (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDoubleBuffer () const;
	UXINLINE void SetXrtGaDoubleBuffer (const char *);

	UXINLINE char * GetXrtGaFrame () const;
	UXINLINE void SetXrtGaFrame (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaNeedleList () const;
	UXINLINE void SetXrtGaNeedleList (const char *);

	UXINLINE char * GetXrtGaRangeList () const;
	UXINLINE void SetXrtGaRangeList (const char *);

	UXINLINE char * GetXrtGaRenderList () const;
	UXINLINE void SetXrtGaRenderList (const char *);

	UXINLINE char * GetXrtGaRepaint () const;
	UXINLINE void SetXrtGaRepaint (const char *);

	UXINLINE char * GetXrtGaTextList () const;
	UXINLINE void SetXrtGaTextList (const char *);

	UXINLINE char * GetXrtGaTickList () const;
	UXINLINE void SetXrtGaTickList (const char *);

	UXINLINE char * GetXrtGaUseRenderList () const;
	UXINLINE void SetXrtGaUseRenderList (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaCGauge_prpty_name(x)	XrtGaCircularGauge_res_table[x].prpty, XrtGaCircularGauge_res_table[x].name

extern Class_t UxC_XrtGaCircularGauge;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaCircularGauge::UxXrtGaCircularGauge(void){}
inline UxXrtGaCircularGauge::UxXrtGaCircularGauge(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaCircularGauge::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaCircularGaugeWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaCircularGauge::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaCircularGauge::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaCenterList (void) const
        { return (char * ) DDGetProp(XmNxrtGaCenterList);}
inline void UxXrtGaCircularGauge::SetXrtGaCenterList (const char * val)
        { DDSetProp(XmNxrtGaCenterList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaCircularScaleList (void) const
        { return (char * ) DDGetProp(XmNxrtGaCircularScaleList);}
inline void UxXrtGaCircularGauge::SetXrtGaCircularScaleList (const char * val)
        { DDSetProp(XmNxrtGaCircularScaleList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaCounterList (void) const
        { return (char * ) DDGetProp(XmNxrtGaCounterList);}
inline void UxXrtGaCircularGauge::SetXrtGaCounterList (const char * val)
        { DDSetProp(XmNxrtGaCounterList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaCircularGauge::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaDoubleBuffer (void) const
        { return (char * ) DDGetProp(XmNxrtGaDoubleBuffer);}
inline void UxXrtGaCircularGauge::SetXrtGaDoubleBuffer (const char * val)
        { DDSetProp(XmNxrtGaDoubleBuffer, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaFrame (void) const
        { return (char * ) DDGetProp(XmNxrtGaFrame);}
inline void UxXrtGaCircularGauge::SetXrtGaFrame (const char * val)
        { DDSetProp(XmNxrtGaFrame, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaCircularGauge::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaCircularGauge::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaNeedleList (void) const
        { return (char * ) DDGetProp(XmNxrtGaNeedleList);}
inline void UxXrtGaCircularGauge::SetXrtGaNeedleList (const char * val)
        { DDSetProp(XmNxrtGaNeedleList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaRangeList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRangeList);}
inline void UxXrtGaCircularGauge::SetXrtGaRangeList (const char * val)
        { DDSetProp(XmNxrtGaRangeList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRenderList);}
inline void UxXrtGaCircularGauge::SetXrtGaRenderList (const char * val)
        { DDSetProp(XmNxrtGaRenderList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaRepaint (void) const
        { return (char * ) DDGetProp(XmNxrtGaRepaint);}
inline void UxXrtGaCircularGauge::SetXrtGaRepaint (const char * val)
        { DDSetProp(XmNxrtGaRepaint, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaTextList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTextList);}
inline void UxXrtGaCircularGauge::SetXrtGaTextList (const char * val)
        { DDSetProp(XmNxrtGaTextList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaTickList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTickList);}
inline void UxXrtGaCircularGauge::SetXrtGaTickList (const char * val)
        { DDSetProp(XmNxrtGaTickList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularGauge::GetXrtGaUseRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaUseRenderList);}
inline void UxXrtGaCircularGauge::SetXrtGaUseRenderList (const char * val)
        { DDSetProp(XmNxrtGaUseRenderList, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
