/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaFrame.hxx	1.2    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaFrame : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaFrame(void);
	UXINLINE UxXrtGaFrame(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE int GetXrtGaBottomMargin () const;
	UXINLINE void SetXrtGaBottomMargin (int);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE int GetXrtGaLeftMargin () const;
	UXINLINE void SetXrtGaLeftMargin (int);

	UXINLINE int GetXrtGaRightMargin () const;
	UXINLINE void SetXrtGaRightMargin (int);

	UXINLINE char * GetXrtGaShape () const;
	UXINLINE void SetXrtGaShape (const char *);

	UXINLINE int GetXrtGaTopMargin () const;
	UXINLINE void SetXrtGaTopMargin (int);


};

#ifdef DESIGN_TIME

#define XrtGaFrame_prpty_name(x)	XrtGaFrame_res_table[x].prpty, XrtGaFrame_res_table[x].name

extern Class_t UxC_XrtGaFrame;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaFrame::UxXrtGaFrame(void){}
inline UxXrtGaFrame::UxXrtGaFrame(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaFrame::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaFrameWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaFrame::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaFrame::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline int UxXrtGaFrame::GetXrtGaBottomMargin (void) const
	{ return (int)IntGetProp(XmNxrtGaBottomMargin);}
inline void UxXrtGaFrame::SetXrtGaBottomMargin (int val)
	{ SetProp(XmNxrtGaBottomMargin, ((XtArgVal)(val)));}

inline char *  UxXrtGaFrame::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaFrame::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaFrame::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaFrame::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaFrame::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaFrame::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaFrame::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaFrame::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline int UxXrtGaFrame::GetXrtGaLeftMargin (void) const
	{ return (int)IntGetProp(XmNxrtGaLeftMargin);}
inline void UxXrtGaFrame::SetXrtGaLeftMargin (int val)
	{ SetProp(XmNxrtGaLeftMargin, ((XtArgVal)(val)));}

inline int UxXrtGaFrame::GetXrtGaRightMargin (void) const
	{ return (int)IntGetProp(XmNxrtGaRightMargin);}
inline void UxXrtGaFrame::SetXrtGaRightMargin (int val)
	{ SetProp(XmNxrtGaRightMargin, ((XtArgVal)(val)));}

inline char *  UxXrtGaFrame::GetXrtGaShape (void) const
        { return (char * ) DDGetProp(XmNxrtGaShape);}
inline void UxXrtGaFrame::SetXrtGaShape (const char * val)
        { DDSetProp(XmNxrtGaShape, ((XtArgVal)(val)));}

inline int UxXrtGaFrame::GetXrtGaTopMargin (void) const
	{ return (int)IntGetProp(XmNxrtGaTopMargin);}
inline void UxXrtGaFrame::SetXrtGaTopMargin (int val)
	{ SetProp(XmNxrtGaTopMargin, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
