/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaLinearGauge.hxx	1.3    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaLinearGauge : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGaLinearGauge(void);
	UXINLINE UxXrtGaLinearGauge(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDoubleBuffer () const;
	UXINLINE void SetXrtGaDoubleBuffer (const char *);

	UXINLINE char * GetXrtGaFrame () const;
	UXINLINE void SetXrtGaFrame (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaIndicatorList () const;
	UXINLINE void SetXrtGaIndicatorList (const char *);

	UXINLINE char * GetXrtGaLinearScaleList () const;
	UXINLINE void SetXrtGaLinearScaleList (const char *);

	UXINLINE char * GetXrtGaRangeList () const;
	UXINLINE void SetXrtGaRangeList (const char *);

	UXINLINE char * GetXrtGaRenderList () const;
	UXINLINE void SetXrtGaRenderList (const char *);

	UXINLINE char * GetXrtGaRepaint () const;
	UXINLINE void SetXrtGaRepaint (const char *);

	UXINLINE char * GetXrtGaTextList () const;
	UXINLINE void SetXrtGaTextList (const char *);

	UXINLINE char * GetXrtGaTickList () const;
	UXINLINE void SetXrtGaTickList (const char *);

	UXINLINE char * GetXrtGaUseRenderList () const;
	UXINLINE void SetXrtGaUseRenderList (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaLGauge_prpty_name(x)	XrtGaLinearGauge_res_table[x].prpty, XrtGaLinearGauge_res_table[x].name

extern Class_t UxC_XrtGaLinearGauge;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaLinearGauge::UxXrtGaLinearGauge(void){}
inline UxXrtGaLinearGauge::UxXrtGaLinearGauge(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaLinearGauge::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaLinearGaugeWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaLinearGauge::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaLinearGauge::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaLinearGauge::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaDoubleBuffer (void) const
        { return (char * ) DDGetProp(XmNxrtGaDoubleBuffer);}
inline void UxXrtGaLinearGauge::SetXrtGaDoubleBuffer (const char * val)
        { DDSetProp(XmNxrtGaDoubleBuffer, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaFrame (void) const
        { return (char * ) DDGetProp(XmNxrtGaFrame);}
inline void UxXrtGaLinearGauge::SetXrtGaFrame (const char * val)
        { DDSetProp(XmNxrtGaFrame, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaLinearGauge::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaLinearGauge::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaIndicatorList (void) const
        { return (char * ) DDGetProp(XmNxrtGaIndicatorList);}
inline void UxXrtGaLinearGauge::SetXrtGaIndicatorList (const char * val)
        { DDSetProp(XmNxrtGaIndicatorList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaLinearScaleList (void) const
        { return (char * ) DDGetProp(XmNxrtGaLinearScaleList);}
inline void UxXrtGaLinearGauge::SetXrtGaLinearScaleList (const char * val)
        { DDSetProp(XmNxrtGaLinearScaleList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaRangeList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRangeList);}
inline void UxXrtGaLinearGauge::SetXrtGaRangeList (const char * val)
        { DDSetProp(XmNxrtGaRangeList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRenderList);}
inline void UxXrtGaLinearGauge::SetXrtGaRenderList (const char * val)
        { DDSetProp(XmNxrtGaRenderList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaRepaint (void) const
        { return (char * ) DDGetProp(XmNxrtGaRepaint);}
inline void UxXrtGaLinearGauge::SetXrtGaRepaint (const char * val)
        { DDSetProp(XmNxrtGaRepaint, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaTextList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTextList);}
inline void UxXrtGaLinearGauge::SetXrtGaTextList (const char * val)
        { DDSetProp(XmNxrtGaTextList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaTickList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTickList);}
inline void UxXrtGaLinearGauge::SetXrtGaTickList (const char * val)
        { DDSetProp(XmNxrtGaTickList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearGauge::GetXrtGaUseRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaUseRenderList);}
inline void UxXrtGaLinearGauge::SetXrtGaUseRenderList (const char * val)
        { DDSetProp(XmNxrtGaUseRenderList, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
