/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecId: UxXrtGaPercent.hxx,v 1.3 2003/02/14 02:24:57 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGaPercent.hxx	1.2    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaPercent : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGaPercent(void);
	UXINLINE UxXrtGaPercent(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE char * GetXrtGaCalcMode () const;
	UXINLINE void SetXrtGaCalcMode (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDoubleBuffer () const;
	UXINLINE void SetXrtGaDoubleBuffer (const char *);

	UXINLINE char * GetXrtGaFrame () const;
	UXINLINE void SetXrtGaFrame (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaItemList () const;
	UXINLINE void SetXrtGaItemList (const char *);

	UXINLINE char * GetXrtGaRenderList () const;
	UXINLINE void SetXrtGaRenderList (const char *);

	UXINLINE char * GetXrtGaRepaint () const;
	UXINLINE void SetXrtGaRepaint (const char *);

	UXINLINE char * GetXrtGaScale () const;
	UXINLINE void SetXrtGaScale (const char *);

	UXINLINE char * GetXrtGaTextList () const;
	UXINLINE void SetXrtGaTextList (const char *);

	UXINLINE char * GetXrtGaUseRenderList () const;
	UXINLINE void SetXrtGaUseRenderList (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaPercent_prpty_name(x)	XrtGaPercent_res_table[x].prpty, XrtGaPercent_res_table[x].name

extern Class_t UxC_XrtGaPercent;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaPercent::UxXrtGaPercent(void){}
inline UxXrtGaPercent::UxXrtGaPercent(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaPercent::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaPercentWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaPercent::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaPercent::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaCalcMode (void) const
        { return (char * ) DDGetProp(XmNxrtGaCalcMode);}
inline void UxXrtGaPercent::SetXrtGaCalcMode (const char * val)
        { DDSetProp(XmNxrtGaCalcMode, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaPercent::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaDoubleBuffer (void) const
        { return (char * ) DDGetProp(XmNxrtGaDoubleBuffer);}
inline void UxXrtGaPercent::SetXrtGaDoubleBuffer (const char * val)
        { DDSetProp(XmNxrtGaDoubleBuffer, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaFrame (void) const
        { return (char * ) DDGetProp(XmNxrtGaFrame);}
inline void UxXrtGaPercent::SetXrtGaFrame (const char * val)
        { DDSetProp(XmNxrtGaFrame, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaPercent::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaPercent::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaItemList (void) const
        { return (char * ) DDGetProp(XmNxrtGaItemList);}
inline void UxXrtGaPercent::SetXrtGaItemList (const char * val)
        { DDSetProp(XmNxrtGaItemList, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRenderList);}
inline void UxXrtGaPercent::SetXrtGaRenderList (const char * val)
        { DDSetProp(XmNxrtGaRenderList, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaRepaint (void) const
        { return (char * ) DDGetProp(XmNxrtGaRepaint);}
inline void UxXrtGaPercent::SetXrtGaRepaint (const char * val)
        { DDSetProp(XmNxrtGaRepaint, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaScale);}
inline void UxXrtGaPercent::SetXrtGaScale (const char * val)
        { DDSetProp(XmNxrtGaScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaTextList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTextList);}
inline void UxXrtGaPercent::SetXrtGaTextList (const char * val)
        { DDSetProp(XmNxrtGaTextList, ((XtArgVal)(val)));}

inline char *  UxXrtGaPercent::GetXrtGaUseRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaUseRenderList);}
inline void UxXrtGaPercent::SetXrtGaUseRenderList (const char * val)
        { DDSetProp(XmNxrtGaUseRenderList, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
