/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecId: UxXrtGaText.hxx,v 1.3 2003/02/14 02:24:57 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGaText.hxx	1.2    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaText : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaText(void);
	UXINLINE UxXrtGaText(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetFontList () const;
	UXINLINE void SetFontList (const char *);

	UXINLINE char * GetForeground () const;
	UXINLINE void SetForeground (const char *);

	UXINLINE int GetHeight () const;
	UXINLINE void SetHeight (int);

	UXINLINE int GetWidth () const;
	UXINLINE void SetWidth (int);

	UXINLINE int GetX () const;
	UXINLINE void SetX (int);

	UXINLINE int GetY () const;
	UXINLINE void SetY (int);

	UXINLINE char * GetXrtGaAlignment () const;
	UXINLINE void SetXrtGaAlignment (const char *);

	UXINLINE char * GetXrtGaAllowWidgetPositioning () const;
	UXINLINE void SetXrtGaAllowWidgetPositioning (const char *);

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE int GetXrtGaBorderWidth () const;
	UXINLINE void SetXrtGaBorderWidth (int);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaImageMinimumSize () const;
	UXINLINE void SetXrtGaImageMinimumSize (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE char * GetXrtGaString () const;
	UXINLINE void SetXrtGaString (const char *);

	UXINLINE char * GetXrtGaXmString () const;
	UXINLINE void SetXrtGaXmString (const char *);

	UXINLINE char * GetXrtGaStringMode () const;
	UXINLINE void SetXrtGaStringMode (const char *);

	UXINLINE char * GetXrtGaValueObject () const;
	UXINLINE void SetXrtGaValueObject (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaText_prpty_name(x)	XrtGaText_res_table[x].prpty, XrtGaText_res_table[x].name

extern Class_t UxC_XrtGaText;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaText::UxXrtGaText(void){}
inline UxXrtGaText::UxXrtGaText(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaText::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaTextWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaText::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaText::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetFontList (void) const
        { return (char * ) DDGetProp(XmNfontList);}
inline void UxXrtGaText::SetFontList (const char * val)
        { DDSetProp(XmNfontList, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetForeground (void) const
        { return (char * ) DDGetProp(XmNforeground);}
inline void UxXrtGaText::SetForeground (const char * val)
        { DDSetProp(XmNforeground, ((XtArgVal)(val)));}

inline int UxXrtGaText::GetHeight (void) const
	{ return (int)IntGetProp(XmNheight);}
inline void UxXrtGaText::SetHeight (int val)
	{ SetProp(XmNheight, ((XtArgVal)(val)));}

inline int UxXrtGaText::GetWidth (void) const
	{ return (int)IntGetProp(XmNwidth);}
inline void UxXrtGaText::SetWidth (int val)
	{ SetProp(XmNwidth, ((XtArgVal)(val)));}

inline int UxXrtGaText::GetX (void) const
	{ return (int)IntGetProp(XmNx);}
inline void UxXrtGaText::SetX (int val)
	{ SetProp(XmNx, ((XtArgVal)(val)));}

inline int UxXrtGaText::GetY (void) const
	{ return (int)IntGetProp(XmNy);}
inline void UxXrtGaText::SetY (int val)
	{ SetProp(XmNy, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaAlignment (void) const
        { return (char * ) DDGetProp(XmNxrtGaAlignment);}
inline void UxXrtGaText::SetXrtGaAlignment (const char * val)
        { DDSetProp(XmNxrtGaAlignment, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaAllowWidgetPositioning (void) const
        { return (char * ) DDGetProp(XmNxrtGaAllowWidgetPositioning);}
inline void UxXrtGaText::SetXrtGaAllowWidgetPositioning (const char * val)
        { DDSetProp(XmNxrtGaAllowWidgetPositioning, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaText::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline int UxXrtGaText::GetXrtGaBorderWidth (void) const
	{ return (int)IntGetProp(XmNxrtGaBorderWidth);}
inline void UxXrtGaText::SetXrtGaBorderWidth (int val)
	{ SetProp(XmNxrtGaBorderWidth, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaText::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaText::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaText::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaImageMinimumSize (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageMinimumSize);}
inline void UxXrtGaText::SetXrtGaImageMinimumSize (const char * val)
        { DDSetProp(XmNxrtGaImageMinimumSize, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaText::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline char * UxXrtGaText::GetXrtGaString (void) const
	{ return (char * ) GetProp(XmNxrtGaString);}
inline void UxXrtGaText::SetXrtGaString (const char * val)
	{ SetProp(XmNxrtGaString, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaXmString (void) const
        { return (char * ) DDGetProp(XmNxrtGaXmString);}
inline void UxXrtGaText::SetXrtGaXmString (const char * val)
        { DDSetProp(XmNxrtGaXmString, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaStringMode (void) const
        { return (char * ) DDGetProp(XmNxrtGaStringMode);}
inline void UxXrtGaText::SetXrtGaStringMode (const char * val)
        { DDSetProp(XmNxrtGaStringMode, ((XtArgVal)(val)));}

inline char *  UxXrtGaText::GetXrtGaValueObject (void) const
        { return (char * ) DDGetProp(XmNxrtGaValueObject);}
inline void UxXrtGaText::SetXrtGaValueObject (const char * val)
        { DDSetProp(XmNxrtGaValueObject, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
