/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtPushB.h,v 1.3 2000/06/19 08:32:34 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtPushB.h	1.7    98/11/05 KL Group Inc.
 */

/******************************************************************************
				UxXrtPushB.h
******************************************************************************/

#ifndef UXXRTPUSHB_INCLUDED
#define UXXRTPUSHB_INCLUDED

#include <Xm/XrtPushB.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxPushB.h"
#include "UxXrtPushB.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTGEAR_PB_TABLE(x)	xrtPB_res_table[x].prpty, xrtPB_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtPBArmMask */
#ifndef UxGetXrtGearArmMask_PB
#define UxGetXrtGearArmMask_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumArmMask))
#endif
#ifndef UxPutXrtGearArmMask_PB
#define UxPutXrtGearArmMask_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumArmMask), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBArmPixmap */
#ifndef UxGetXrtGearArmPixmap_PB
#define UxGetXrtGearArmPixmap_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumArmPixmap))
#endif
#ifndef UxPutXrtGearArmPixmap_PB
#define UxPutXrtGearArmPixmap_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumArmPixmap), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBLabelPixmap */
#ifndef UxGetXrtGearLabelPixmap_PB
#define UxGetXrtGearLabelPixmap_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumLabelPixmap))
#endif
#ifndef UxPutXrtGearLabelPixmap_PB
#define UxPutXrtGearLabelPixmap_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumLabelPixmap), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBLabelType */
#ifndef UxGetXrtGearLabelType_PB
#define UxGetXrtGearLabelType_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumLabelType))
#endif
#ifndef UxPutXrtGearLabelType_PB
#define UxPutXrtGearLabelType_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumLabelType), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBLayoutSpacing */
#ifndef UxGetXrtGearLayoutSpacing_PB
#define UxGetXrtGearLayoutSpacing_PB(sw) \
	UxGET_short(sw, XRTGEAR_PB_TABLE(xrtPBResNumLayoutSpacing))
#endif
#ifndef UxPutXrtGearLayoutSpacing_PB
#define UxPutXrtGearLayoutSpacing_PB(sw, val) \
	UxPUT_short(sw, XRTGEAR_PB_TABLE(xrtPBResNumLayoutSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBMask */
#ifndef UxGetXrtGearMask_PB
#define UxGetXrtGearMask_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumMask))
#endif
#ifndef UxPutXrtGearMask_PB
#define UxPutXrtGearMask_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumMask), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBPixmapRotation */
#ifndef UxGetXrtGearPixmapRotation_PB
#define UxGetXrtGearPixmapRotation_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumPixmapRotation))
#endif
#ifndef UxPutXrtGearPixmapRotation_PB
#define UxPutXrtGearPixmapRotation_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumPixmapRotation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBStringLayout */
#ifndef UxGetXrtGearStringLayout_PB
#define UxGetXrtGearStringLayout_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumStringLayout))
#endif
#ifndef UxPutXrtGearStringLayout_PB
#define UxPutXrtGearStringLayout_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumStringLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtPBStringRotation */
#ifndef UxGetXrtGearStringRotation_PB
#define UxGetXrtGearStringRotation_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumStringRotation))
#endif
#ifndef UxPutXrtGearStringRotation_PB
#define UxPutXrtGearStringRotation_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumStringRotation), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearActive_PB */
#ifndef UxGetXrtGearActive_PB
#define UxGetXrtGearActive_PB(sw) \
	UxGET_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumActive))
#endif
#ifndef UxPutXrtGearActive_PB
#define UxPutXrtGearActive_PB(sw, val) \
	UxPUT_string(sw, XRTGEAR_PB_TABLE(xrtPBResNumActive), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtPushB;
/* Design-time create macro */
#ifndef UxCreateXrtPushB
#define UxCreateXrtPushB(name, parent) \
	UxCreateSwidget(UxC_XrtPushB, name, parent)
#endif

#else /* RUN_TIME */

#ifndef UxGetXrtGearArmMask_PB
#define UxGetXrtGearArmMask_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearArmMask)
#endif
#ifndef UxPutXrtGearArmMask_PB
#define UxPutXrtGearArmMask_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearArmMask, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearArmPixmap_PB
#define UxGetXrtGearArmPixmap_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearArmPixmap)
#endif
#ifndef UxPutXrtGearArmPixmap_PB
#define UxPutXrtGearArmPixmap_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearArmPixmap, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLabelPixmap_PB
#define UxGetXrtGearLabelPixmap_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLabelPixmap)
#endif
#ifndef UxPutXrtGearLabelPixmap_PB
#define UxPutXrtGearLabelPixmap_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLabelPixmap, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLabelType_PB
#define UxGetXrtGearLabelType_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLabelType)
#endif
#ifndef UxPutXrtGearLabelType_PB
#define UxPutXrtGearLabelType_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLabelType, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLayoutSpacing_PB
#define UxGetXrtGearLayoutSpacing_PB(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearLayoutSpacing)
#endif
#ifndef UxPutXrtGearLayoutSpacing_PB
#define UxPutXrtGearLayoutSpacing_PB(sw, val) \
	UxPutProp(sw, XmNxrtGearLayoutSpacing, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMask_PB
#define UxGetXrtGearMask_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearMask)
#endif
#ifndef UxPutXrtGearMask_PB
#define UxPutXrtGearMask_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearMask, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPixmapRotation_PB
#define UxGetXrtGearPixmapRotation_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearPixmapRotation)
#endif
#ifndef UxPutXrtGearPixmapRotation_PB
#define UxPutXrtGearPixmapRotation_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearPixmapRotation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearStringLayout_PB
#define UxGetXrtGearStringLayout_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearStringLayout)
#endif
#ifndef UxPutXrtGearStringLayout_PB
#define UxPutXrtGearStringLayout_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearStringLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearStringRotation_PB
#define UxGetXrtGearStringRotation_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearStringRotation)
#endif
#ifndef UxPutXrtGearStringRotation_PB
#define UxPutXrtGearStringRotation_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearStringRotation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearActive_PB
#define UxGetXrtGearActive_PB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearActive)
#endif
#ifndef UxPutXrtGearActive_PB
#define UxPutXrtGearActive_PB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearActive, (XtArgVal)(val))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtPushB
#define UxCreateXrtPushB(name, parent) \
	UxCreateSwidget(name, xmXrtPushButtonWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTPUSHB_INCLUDED */

/***END*OF*FILE***************************************************************/
