/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/graph widget UIM/X integration file
 *
 * $AstecId: XrtGph_resnum.h,v 1.2 1999/10/09 17:53:40 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtGph.resnum.h	1.3    98/11/05 KL Group Inc.
 */

/******************************************************************************
				XrtGph.resnum.h
******************************************************************************/

#ifndef XRTGRAPH_RESNUM_H 
#define XRTGRAPH_RESNUM_H 

typedef enum {
  xrtResNumAngleUnit,  
  xrtResNumAxisBoundingBox,
  xrtResNumAxisFont,
  xrtResNumBackgroundColor,
  xrtResNumBarClusterOverlap,
  xrtResNumBarClusterWidth,
  xrtResNumBorder,  
  xrtResNumCandleComplex,  
  xrtResNumData,
  xrtResNumData2,
  xrtResNumDataAreaBackgroundColor,
  xrtResNumDataAreaForegroundColor,  
  xrtResNumDataStyles,
  xrtResNumDataStyles2,
  xrtResNumDataStyles2UseDefault,
  xrtResNumDataStylesUseDefault,
  xrtResNumDebug,
  xrtResNumDoubleBuffer,
  xrtResNumExposeCallback,
  xrtResNumFooterAdjust,
  xrtResNumFooterBackgroundColor,
  xrtResNumFooterBorder,
  xrtResNumFooterBorderWidth,
  xrtResNumFooterFont,
  xrtResNumFooterForegroundColor,
  xrtResNumFooterHeight,
  xrtResNumFooterStrings,
  xrtResNumFooterWidth,
  xrtResNumFooterX,
  xrtResNumFooterXUseDefault,
  xrtResNumFooterY,
  xrtResNumFooterYUseDefault,
  xrtResNumForegroundColor,
  xrtResNumFrontDataset,
  xrtResNumGraph3dShading,  
  xrtResNumGraphBackgroundColor,
  xrtResNumGraphBorder,
  xrtResNumGraphBorderWidth,
  xrtResNumGraphDepth,
  xrtResNumGraphForegroundColor,
  xrtResNumGraphHeight,
  xrtResNumGraphHeightUseDefault,
  xrtResNumGraphInclination,
  xrtResNumGraphMarginBottom,
  xrtResNumGraphMarginBottomUseDefault,
  xrtResNumGraphMarginLeft,
  xrtResNumGraphMarginLeftUseDefault,
  xrtResNumGraphMarginRight,
  xrtResNumGraphMarginRightUseDefault,
  xrtResNumGraphMarginTop,
  xrtResNumGraphMarginTopUseDefault,
  xrtResNumGraphRotation,
  xrtResNumGraphShowOutlines,  
  xrtResNumGraphWidth,
  xrtResNumGraphWidthUseDefault,
  xrtResNumGraphX,
  xrtResNumGraphXUseDefault,
  xrtResNumGraphY,
  xrtResNumGraphYUseDefault,
  xrtResNumHeaderAdjust,
  xrtResNumHeaderBackgroundColor,
  xrtResNumHeaderBorder,
  xrtResNumHeaderBorderWidth,
  xrtResNumHeaderFont,
  xrtResNumHeaderForegroundColor,
  xrtResNumHeaderHeight,
  xrtResNumHeaderStrings,
  xrtResNumHeaderWidth,
  xrtResNumHeaderX,
  xrtResNumHeaderXUseDefault,
  xrtResNumHeaderY,
  xrtResNumHeaderYUseDefault,
  xrtResNumHiLoCloseShow,  
  xrtResNumHiLoOpenCloseFullWidth,  
  xrtResNumHiLoOpenShow,  
  xrtResNumInvertOrientation,
  xrtResNumLegendAnchor,
  xrtResNumLegendBackgroundColor,
  xrtResNumLegendBorder,
  xrtResNumLegendBorderWidth,
  xrtResNumLegendFont,
  xrtResNumLegendForegroundColor,
  xrtResNumLegendHeight,
  xrtResNumLegendOrientation,
  xrtResNumLegendShow,
  xrtResNumLegendWidth,
  xrtResNumLegendX,
  xrtResNumLegendXUseDefault,
  xrtResNumLegendY,
  xrtResNumLegendYUseDefault,
  xrtResNumMapCallback,
  xrtResNumMarkerDataStyle,
  xrtResNumMarkerDataStyleUseDefault,
  xrtResNumMarkerDataset,
  xrtResNumModifyCallback,
  xrtResNumOtherDataStyle,
  xrtResNumOtherDataStyleUseDefault,
  xrtResNumOtherLabel,
  xrtResNumPickCallback,
  xrtResNumPieMinSlices,
  xrtResNumPieOrder,
  xrtResNumPieThresholdMethod,
  xrtResNumPieThresholdValue,
  xrtResNumPointLabels,
  xrtResNumPointLabels2,
  xrtResNumPolarHalfRange,  
  xrtResNumRepaint,
  xrtResNumResizeCallback,
  xrtResNumRotateCallback,
  xrtResNumSetLabels,
  xrtResNumSetLabels2,
  xrtResNumTimeBase,
  xrtResNumTimeFormat,
  xrtResNumTimeFormatUseDefault,
  xrtResNumTimeUnit,
  xrtResNumTransformCallback,
  xrtResNumType,
  xrtResNumType2,
  xrtResNumXAnnoPlacement,
  xrtResNumXAnnotationMethod,
  xrtResNumXAnnotationRotation,
  xrtResNumXAxisLabelFormat,  
  xrtResNumXAxisLogarithmic,
  xrtResNumXAxisMax,
  xrtResNumXAxisMaxUseDefault,
  xrtResNumXAxisMin,
  xrtResNumXAxisMinUseDefault,
  xrtResNumXAxisReversed,
  xrtResNumXAxisShow,
  xrtResNumXGrid,
  xrtResNumXGridDataStyle,
  xrtResNumXGridDataStyleUseDefault,
  xrtResNumXGridUseDefault,
  xrtResNumXLabels,
  xrtResNumXMarker,
  xrtResNumXMarkerDataStyle,  
  xrtResNumXMarkerDataStyleUseDefault,  
  xrtResNumXMarkerMethod,  
  xrtResNumXMarkerPoint,
  xrtResNumXMarkerSet,
  xrtResNumXMarkerShow,
  xrtResNumXMax,
  xrtResNumXMaxUseDefault,
  xrtResNumXMin,
  xrtResNumXMinUseDefault,
  xrtResNumXNum,
  xrtResNumXNumMethod,
  xrtResNumXNumUseDefault,
  xrtResNumXOrigin,
  xrtResNumXOriginBase,  
  xrtResNumXOriginPlacement,
  xrtResNumXOriginUseDefault,
  xrtResNumXPrecision,
  xrtResNumXPrecisionUseDefault,
  xrtResNumXTick,
  xrtResNumXTickUseDefault,
  xrtResNumXTitle,
  xrtResNumXTitleRotation,
  xrtResNumY2AnnoPlacement,  
  xrtResNumY2AnnotationAngle,  
  xrtResNumY2AnnotationAngleUseDefault,  
  xrtResNumY2AnnotationMethod,
  xrtResNumY2AnnotationRotation,
  xrtResNumY2Axis100Percent,  
  xrtResNumY2AxisLabelFormat,  
  xrtResNumY2AxisLogarithmic,
  xrtResNumY2AxisMax,
  xrtResNumY2AxisMaxUseDefault,
  xrtResNumY2AxisMin,
  xrtResNumY2AxisMinUseDefault,
  xrtResNumY2AxisReversed,
  xrtResNumY2AxisShow,
  xrtResNumY2Grid,  
  xrtResNumY2GridDataStyle,  
  xrtResNumY2GridDataStyleUseDefault,  
  xrtResNumY2GridUseDefault,  
  xrtResNumY2Labels,
  xrtResNumY2Max,
  xrtResNumY2MaxUseDefault,
  xrtResNumY2Min,
  xrtResNumY2MinUseDefault,
  xrtResNumY2Num,
  xrtResNumY2NumMethod,
  xrtResNumY2NumUseDefault,
  xrtResNumY2Origin,  
  xrtResNumY2OriginPlacement,  
  xrtResNumY2OriginUseDefault,  
  xrtResNumY2Precision,
  xrtResNumY2PrecisionUseDefault,
  xrtResNumY2Tick,
  xrtResNumY2TickUseDefault,
  xrtResNumY2Title,
  xrtResNumY2TitleRotation,
  xrtResNumYAnnoPlacement,
  xrtResNumYAnnotationAngle,  
  xrtResNumYAnnotationAngleUseDefault,  
  xrtResNumYAnnotationMethod,
  xrtResNumYAnnotationRotation,
  xrtResNumYAxis100Percent,  
  xrtResNumYAxisConst,
  xrtResNumYAxisLabelFormat,  
  xrtResNumYAxisLogarithmic,
  xrtResNumYAxisMax,
  xrtResNumYAxisMaxUseDefault,
  xrtResNumYAxisMin,
  xrtResNumYAxisMinUseDefault,
  xrtResNumYAxisMult,
  xrtResNumYAxisReversed,
  xrtResNumYAxisShow,
  xrtResNumYGrid,
  xrtResNumYGridDataStyle,
  xrtResNumYGridDataStyleUseDefault,
  xrtResNumYGridUseDefault,
  xrtResNumYLabels,
  xrtResNumYMarker,
  xrtResNumYMarkerDataStyle,  
  xrtResNumYMarkerDataStyleUseDefault,  
  xrtResNumYMarkerShow,
  xrtResNumYMax,
  xrtResNumYMaxUseDefault,
  xrtResNumYMin,
  xrtResNumYMinUseDefault,
  xrtResNumYNum,
  xrtResNumYNumMethod,
  xrtResNumYNumUseDefault,
  xrtResNumYOrigin,
  xrtResNumYOriginPlacement,
  xrtResNumYOriginUseDefault,
  xrtResNumYPrecision,
  xrtResNumYPrecisionUseDefault,
  xrtResNumYTick,
  xrtResNumYTickUseDefault,
  xrtResNumYTitle,
  xrtResNumYTitleRotation,
  xrtResNumZoomAxisCallback,  

  xrtResNumBubbleMax,
  xrtResNumBubbleMethod,
  xrtResNumBubbleMin,
  xrtResNumColorFunc,
  xrtResNumExtraDefaultDataStyles,
  xrtResNumFooterImage,
  xrtResNumFooterImageLayout,
  xrtResNumFooterImageMinimumSize,
  xrtResNumDataAreaImage,
  xrtResNumDataAreaImageLayout,
  xrtResNumGraphImage,
  xrtResNumGraphImageLayout,
  xrtResNumHeaderImage,
  xrtResNumHeaderImageLayout,
  xrtResNumHeaderImageMinimumSize,
  xrtResNumImage,
  xrtResNumImageLayout,
  xrtResNumIsStacked,
  xrtResNumIsStacked2,
  xrtResNumLegendImage,
  xrtResNumLegendImageLayout,
  xrtResNumLegendReversed,
  xrtResNumLegendTitle,
  xrtResNumPieMergeMissingSlices,
  xrtResNumPieStartAngle,
  xrtResNumPolarAxisAllowNegatives,
  xrtResNumXAxisDataStyle,
  xrtResNumXAxisDataStyleUseDefault,
  xrtResNumY2AxisDataStyle,
  xrtResNumY2AxisDataStyleUseDefault,
  xrtResNumYAxisDataStyle,
  xrtResNumYAxisDataStyleUseDefault,
  size_xrtGraphResNum	/* holds number of enums defined */
  /* don't add new enums after size_xrtProgressResNum*/
} XrtGraphResNum;

#endif 
