/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/graph widget UIM/X integration file
 *
 * $AstecId: XrtGph_xtype.h,v 1.2 1999/10/09 17:53:40 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtGph_xtype.h	1.5    98/11/05 KL Group Inc.
 */

/*****************************************************************************
				XrtGph_xtype.h
*****************************************************************************/

#ifndef XRTGPH_XTYPES_H
#define XRTGPH_XTYPES_H

/* Xtypes that are declaired in XrtGph_xtype.c */

extern int		UxXT_float;
extern int		UxXT_XrtGphAdjust;
extern int		UxXT_XrtGphAlign;
extern int		UxXT_XrtGphAnchor;
extern int		UxXT_XrtGphAngleUnit;		/*graph 3.0*/
extern int		UxXT_XrtGphBorder;
extern int		UxXT_XrtGphData;
extern int		UxXT_XrtGphData2;
extern int		UxXT_XrtGphDataStyle;
extern int		UxXT_XrtGphDataStyles;
extern int		UxXT_XrtGphMarkerMethod;	/*graph 3.0*/
extern int		UxXT_XrtGphPieOrder;
extern int		UxXT_XrtGphPieThresholdMethod;
extern int		UxXT_XrtGphRotate;
extern int		UxXT_XrtGphShading;			/*graph 3.0*/
extern int		UxXT_XrtGphStrings;
extern int		UxXT_XrtGphTimeUnit;
extern int		UxXT_XrtGphType;
extern int		UxXT_XrtGphValueLabels;
extern int		UxXT_XrtGphAnnotationMethod;
extern int		UxXT_XrtGphAnnoPlacement;
extern int		UxXT_XrtGphOriginPlacement;
extern int		UxXT_XrtGphNumMethod;

extern int      UxXT_XrtGphBubbleMethod;
extern int      UxXT_XrtGphImage;
extern int      UxXT_XrtGphImageLayout;

/* XRT/graph specific function pointers */

extern int		UxValuesOfFloat();
extern int		UxValuesOfXrtGphAdjust();
extern int		UxValuesOfXrtGphAlign();
extern int		UxValuesOfXrtGphAnchor();
extern int		UxValuesOfXrtGphAngleUnit();
extern int		UxValuesOfXrtGphBorder();
extern int		UxValuesOfXrtGphData();
extern int		UxValuesOfXrtGphDataStyle();
extern int		UxValuesOfXrtGphDataStyles();
extern int		UxValuesOfXrtGphMarkerMethod();
extern int		UxValuesOfXrtGphPieOrder();
extern int		UxValuesOfXrtGphPieThrMethod();
extern int		UxValuesOfXrtGphRotate();
extern int		UxValuesOfXrtGphShading();
extern int		UxValuesOfXrtGphStrings();
extern int		UxValuesOfXrtGphTimeUnit();
extern int		UxValuesOfXrtGphType();
extern int		UxValuesOfXrtGphValueLabels();
extern int		UxValuesOfXrtGphAnnotationMethod();
extern int		UxValuesOfXrtGphAnnoPlacement();
extern int		UxValuesOfXrtGphOriginPlacement();
extern int		UxValuesOfXrtGphNumMethod();

extern int      UxValuesOfXrtGphBubbleMethod();
extern int      UxValuesOfXrtGphImage();
extern int      UxValuesOfXrtGphImageLayout();

extern int		UxValidateXrtGphAdjust();
extern int		UxValidateXrtGphAlign();
extern int		UxValidateXrtGphAnchor();
extern int		UxValidateXrtGphAngleUnit();
extern int		UxValidateXrtGphBorder();
extern int		UxValidateXrtGphData();
extern int		UxValidateXrtGphMarkerMethod();
extern int		UxValidateXrtGphPieOrder();
extern int		UxValidateXrtGphPieThrMethod();
extern int		UxValidateXrtGphRotate();
extern int		UxValidateXrtGphShading();
extern int		UxValidateXrtGphTimeUnit();
extern int		UxValidateXrtGphType();
extern int		UxValidateXrtGphAnnotationMethod();
extern int		UxValidateXrtGphAnnoPlacement();
extern int		UxValidateXrtGphOriginPlacement();
extern int		UxValidateXrtGphNumMethod();

extern int		UxValidateXrtGphBubbleMethod();
extern int      UxValidateXrtGphImage();
extern int      UxValidateXrtGphImageLayout();

#endif /* XRTGPH_XTYPES_H */

